import { defineComponent as ae, resolveComponent as la, openBlock as R, createElementBlock as M, createElementVNode as w, Fragment as Ee, renderList as Je, normalizeClass as se, createBlock as oa, withCtx as ia, createTextVNode as Lt, toDisplayString as B, renderSlot as _e, h as yn, getCurrentInstance as $t, inject as ua, onMounted as ca, onUnmounted as fa, shallowRef as An, ref as ce, computed as Ne, onBeforeMount as da, watch as Xt, createVNode as ma, Text as _a, createCommentVNode as J, mergeProps as ct, resolveDirective as Ea, withDirectives as pa, pushScopeId as ga, popScopeId as va } from "vue";
import { Toast as jt, Modal as qt, Offcanvas as Jt } from "bootstrap";
const Na = ae({
  name: "BsBreadcrumb",
  props: {
    /**
     * List of breadcrumb items.
     */
    items: {
      type: Array,
      required: !0
    }
  },
  methods: {
    /**
     * Is route available
     *
     * @param item
     * @returns {boolean}
     */
    isRouteAvailable(e) {
      return e.route !== void 0;
    }
  }
}), fe = (e, t) => {
  const n = e.__vccOpts || e;
  for (const [a, l] of t)
    n[a] = l;
  return n;
}, ha = { "aria-label": "breadcrumb" }, ba = { class: "breadcrumb" }, Ia = ["textContent"];
function Ta(e, t, n, a, l, r) {
  const o = la("router-link");
  return R(), M("nav", ha, [
    w("ol", ba, [
      (R(!0), M(Ee, null, Je(e.items, (i, c) => (R(), M("li", {
        key: c,
        class: se(["breadcrumb-item", { active: !e.isRouteAvailable(i) }])
      }, [
        e.isRouteAvailable(i) ? (R(), oa(o, {
          key: 0,
          to: i.route
        }, {
          default: ia(() => [
            Lt(B(i.title), 1)
          ]),
          _: 2
        }, 1032, ["to"])) : (R(), M("span", {
          key: 1,
          textContent: B(i.title)
        }, null, 8, Ia))
      ], 2))), 128))
    ])
  ]);
}
const Hl = /* @__PURE__ */ fe(Na, [["render", Ta]]), La = ae({
  name: "BsForm",
  emits: ["submit"],
  data() {
    return {
      submitClicked: !1
    };
  },
  methods: {
    /**
     * On submit event.
     *
     * @param event
     */
    onSubmit(e) {
      e.preventDefault(), this.submitClicked = !0, this.$emit("submit", e);
    }
  }
});
function Oa(e, t, n, a, l, r) {
  return R(), M("form", {
    class: se(["needs-validation", {
      "was-validated": e.submitClicked
    }]),
    novalidate: "",
    onSubmit: t[0] || (t[0] = (...o) => e.onSubmit && e.onSubmit(...o))
  }, [
    _e(e.$slots, "default")
  ], 34);
}
const Wl = /* @__PURE__ */ fe(La, [["render", Oa]]);
/*!
  * shared v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
const Le = typeof window < "u";
let le, Ue;
if (process.env.NODE_ENV !== "production") {
  const e = Le && window.performance;
  e && e.mark && e.measure && e.clearMarks && // @ts-ignore browser compat
  e.clearMeasures && (le = (t) => {
    e.mark(t);
  }, Ue = (t, n, a) => {
    e.measure(t, n, a), e.clearMarks(n), e.clearMarks(a);
  });
}
const Ca = /\{([0-9a-zA-Z]+)\}/g;
function wt(e, ...t) {
  return t.length === 1 && H(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(Ca, (n, a) => t.hasOwnProperty(a) ? t[a] : "");
}
const Oe = (e, t = !1) => t ? Symbol.for(e) : Symbol(e), ya = (e, t, n) => Aa({ l: e, k: t, s: n }), Aa = (e) => JSON.stringify(e).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), z = (e) => typeof e == "number" && isFinite(e), ka = (e) => Sn(e) === "[object Date]", Qe = (e) => Sn(e) === "[object RegExp]", vt = (e) => $(e) && Object.keys(e).length === 0, ee = Object.assign;
let Qt;
const Te = () => Qt || (Qt = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof global < "u" ? global : {});
function Zt(e) {
  return e.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const Sa = Object.prototype.hasOwnProperty;
function pt(e, t) {
  return Sa.call(e, t);
}
const Q = Array.isArray, Y = (e) => typeof e == "function", C = (e) => typeof e == "string", G = (e) => typeof e == "boolean", H = (e) => e !== null && typeof e == "object", Pa = (e) => H(e) && Y(e.then) && Y(e.catch), kn = Object.prototype.toString, Sn = (e) => kn.call(e), $ = (e) => {
  if (!H(e))
    return !1;
  const t = Object.getPrototypeOf(e);
  return t === null || t.constructor === Object;
}, Da = (e) => e == null ? "" : Q(e) || $(e) && e.toString === kn ? JSON.stringify(e, null, 2) : String(e);
function Ra(e, t = "") {
  return e.reduce((n, a, l) => l === 0 ? n + a : n + t + a, "");
}
const xt = 2;
function Ma(e, t = 0, n = e.length) {
  const a = e.split(/\r?\n/);
  let l = 0;
  const r = [];
  for (let o = 0; o < a.length; o++)
    if (l += a[o].length + 1, l >= t) {
      for (let i = o - xt; i <= o + xt || n > l; i++) {
        if (i < 0 || i >= a.length)
          continue;
        const c = i + 1;
        r.push(`${c}${" ".repeat(3 - String(c).length)}|  ${a[i]}`);
        const p = a[i].length;
        if (i === o) {
          const v = t - (l - p) + 1, I = Math.max(1, n > l ? p - v : n - t);
          r.push("   |  " + " ".repeat(v) + "^".repeat(I));
        } else if (i > o) {
          if (n > l) {
            const v = Math.max(Math.min(n - l, p), 1);
            r.push("   |  " + "^".repeat(v));
          }
          l += p + 1;
        }
      }
      break;
    }
  return r.join(`
`);
}
function Ut(e) {
  let t = e;
  return () => ++t;
}
function Se(e, t) {
  typeof console < "u" && (console.warn("[intlify] " + e), t && console.warn(t.stack));
}
const zt = {};
function Fa(e) {
  zt[e] || (zt[e] = !0, Se(e));
}
function $a() {
  const e = /* @__PURE__ */ new Map();
  return {
    events: e,
    on(n, a) {
      const l = e.get(n);
      l && l.push(a) || e.set(n, [a]);
    },
    off(n, a) {
      const l = e.get(n);
      l && l.splice(l.indexOf(a) >>> 0, 1);
    },
    emit(n, a) {
      (e.get(n) || []).slice().map((l) => l(a)), (e.get("*") || []).slice().map((l) => l(n, a));
    }
  };
}
const _t = (e) => !H(e) || Q(e);
function Et(e, t) {
  if (_t(e) || _t(t))
    throw new Error("Invalid value");
  const n = [{ src: e, des: t }];
  for (; n.length; ) {
    const { src: a, des: l } = n.pop();
    Object.keys(a).forEach((r) => {
      _t(a[r]) || _t(l[r]) ? l[r] = a[r] : n.push({ src: a[r], des: l[r] });
    });
  }
}
/*!
  * message-compiler v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
function wa(e, t, n) {
  return { line: e, column: t, offset: n };
}
function Ot(e, t, n) {
  const a = { start: e, end: t };
  return n != null && (a.source = n), a;
}
const Ua = /\{([0-9a-zA-Z]+)\}/g;
function Va(e, ...t) {
  return t.length === 1 && Ha(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(Ua, (n, a) => t.hasOwnProperty(a) ? t[a] : "");
}
const Pn = Object.assign, en = (e) => typeof e == "string", Ha = (e) => e !== null && typeof e == "object";
function Dn(e, t = "") {
  return e.reduce((n, a, l) => l === 0 ? n + a : n + t + a, "");
}
const P = {
  // tokenizer error codes
  EXPECTED_TOKEN: 1,
  INVALID_TOKEN_IN_PLACEHOLDER: 2,
  UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER: 3,
  UNKNOWN_ESCAPE_SEQUENCE: 4,
  INVALID_UNICODE_ESCAPE_SEQUENCE: 5,
  UNBALANCED_CLOSING_BRACE: 6,
  UNTERMINATED_CLOSING_BRACE: 7,
  EMPTY_PLACEHOLDER: 8,
  NOT_ALLOW_NEST_PLACEHOLDER: 9,
  INVALID_LINKED_FORMAT: 10,
  // parser error codes
  MUST_HAVE_MESSAGES_IN_PLURAL: 11,
  UNEXPECTED_EMPTY_LINKED_MODIFIER: 12,
  UNEXPECTED_EMPTY_LINKED_KEY: 13,
  UNEXPECTED_LEXICAL_ANALYSIS: 14,
  // generator error codes
  UNHANDLED_CODEGEN_NODE_TYPE: 15,
  // minifier error codes
  UNHANDLED_MINIFIER_NODE_TYPE: 16,
  // Special value for higher-order compilers to pick up the last code
  // to avoid collision of error codes. This should always be kept as the last
  // item.
  __EXTEND_POINT__: 17
}, Wa = {
  // tokenizer error messages
  [P.EXPECTED_TOKEN]: "Expected token: '{0}'",
  [P.INVALID_TOKEN_IN_PLACEHOLDER]: "Invalid token in placeholder: '{0}'",
  [P.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER]: "Unterminated single quote in placeholder",
  [P.UNKNOWN_ESCAPE_SEQUENCE]: "Unknown escape sequence: \\{0}",
  [P.INVALID_UNICODE_ESCAPE_SEQUENCE]: "Invalid unicode escape sequence: {0}",
  [P.UNBALANCED_CLOSING_BRACE]: "Unbalanced closing brace",
  [P.UNTERMINATED_CLOSING_BRACE]: "Unterminated closing brace",
  [P.EMPTY_PLACEHOLDER]: "Empty placeholder",
  [P.NOT_ALLOW_NEST_PLACEHOLDER]: "Not allowed nest placeholder",
  [P.INVALID_LINKED_FORMAT]: "Invalid linked format",
  // parser error messages
  [P.MUST_HAVE_MESSAGES_IN_PLURAL]: "Plural must have messages",
  [P.UNEXPECTED_EMPTY_LINKED_MODIFIER]: "Unexpected empty linked modifier",
  [P.UNEXPECTED_EMPTY_LINKED_KEY]: "Unexpected empty linked key",
  [P.UNEXPECTED_LEXICAL_ANALYSIS]: "Unexpected lexical analysis in token: '{0}'",
  // generator error messages
  [P.UNHANDLED_CODEGEN_NODE_TYPE]: "unhandled codegen node type: '{0}'",
  // minimizer error messages
  [P.UNHANDLED_MINIFIER_NODE_TYPE]: "unhandled mimifier node type: '{0}'"
};
function xe(e, t, n = {}) {
  const { domain: a, messages: l, args: r } = n, o = Va((l || Wa)[e] || "", ...r || []), i = new SyntaxError(String(o));
  return i.code = e, t && (i.location = t), i.domain = a, i;
}
function Ba(e) {
  throw e;
}
const Ga = /<\/?[\w\s="/.':;#-\/]+>/, Ya = (e) => Ga.test(e), Ie = " ", Ka = "\r", te = `
`, Xa = "\u2028", ja = "\u2029";
function qa(e) {
  const t = e;
  let n = 0, a = 1, l = 1, r = 0;
  const o = (y) => t[y] === Ka && t[y + 1] === te, i = (y) => t[y] === te, c = (y) => t[y] === ja, p = (y) => t[y] === Xa, v = (y) => o(y) || i(y) || c(y) || p(y), I = () => n, g = () => a, A = () => l, D = () => r, S = (y) => o(y) || c(y) || p(y) ? te : t[y], k = () => S(n), f = () => S(n + r);
  function _() {
    return r = 0, v(n) && (a++, l = 0), o(n) && n++, n++, l++, t[n];
  }
  function h() {
    return o(n + r) && r++, r++, t[n + r];
  }
  function E() {
    n = 0, a = 1, l = 1, r = 0;
  }
  function O(y = 0) {
    r = y;
  }
  function T() {
    const y = n + r;
    for (; y !== n; )
      _();
    r = 0;
  }
  return {
    index: I,
    line: g,
    column: A,
    peekOffset: D,
    charAt: S,
    currentChar: k,
    currentPeek: f,
    next: _,
    peek: h,
    reset: E,
    resetPeek: O,
    skipToPeek: T
  };
}
const ye = void 0, Ja = ".", tn = "'", Qa = "tokenizer";
function Za(e, t = {}) {
  const n = t.location !== !1, a = qa(e), l = () => a.index(), r = () => wa(a.line(), a.column(), a.index()), o = r(), i = l(), c = {
    currentType: 14,
    offset: i,
    startLoc: o,
    endLoc: o,
    lastType: 14,
    lastOffset: i,
    lastStartLoc: o,
    lastEndLoc: o,
    braceNest: 0,
    inLinked: !1,
    text: ""
  }, p = () => c, { onError: v } = t;
  function I(u, s, d, ...L) {
    const F = p();
    if (s.column += d, s.offset += d, v) {
      const U = n ? Ot(F.startLoc, s) : null, ge = xe(u, U, {
        domain: Qa,
        args: L
      });
      v(ge);
    }
  }
  function g(u, s, d) {
    u.endLoc = r(), u.currentType = s;
    const L = { type: s };
    return n && (L.loc = Ot(u.startLoc, u.endLoc)), d != null && (L.value = d), L;
  }
  const A = (u) => g(
    u,
    14
    /* TokenTypes.EOF */
  );
  function D(u, s) {
    return u.currentChar() === s ? (u.next(), s) : (I(P.EXPECTED_TOKEN, r(), 0, s), "");
  }
  function S(u) {
    let s = "";
    for (; u.currentPeek() === Ie || u.currentPeek() === te; )
      s += u.currentPeek(), u.peek();
    return s;
  }
  function k(u) {
    const s = S(u);
    return u.skipToPeek(), s;
  }
  function f(u) {
    if (u === ye)
      return !1;
    const s = u.charCodeAt(0);
    return s >= 97 && s <= 122 || // a-z
    s >= 65 && s <= 90 || // A-Z
    s === 95;
  }
  function _(u) {
    if (u === ye)
      return !1;
    const s = u.charCodeAt(0);
    return s >= 48 && s <= 57;
  }
  function h(u, s) {
    const { currentType: d } = s;
    if (d !== 2)
      return !1;
    S(u);
    const L = f(u.currentPeek());
    return u.resetPeek(), L;
  }
  function E(u, s) {
    const { currentType: d } = s;
    if (d !== 2)
      return !1;
    S(u);
    const L = u.currentPeek() === "-" ? u.peek() : u.currentPeek(), F = _(L);
    return u.resetPeek(), F;
  }
  function O(u, s) {
    const { currentType: d } = s;
    if (d !== 2)
      return !1;
    S(u);
    const L = u.currentPeek() === tn;
    return u.resetPeek(), L;
  }
  function T(u, s) {
    const { currentType: d } = s;
    if (d !== 8)
      return !1;
    S(u);
    const L = u.currentPeek() === ".";
    return u.resetPeek(), L;
  }
  function y(u, s) {
    const { currentType: d } = s;
    if (d !== 9)
      return !1;
    S(u);
    const L = f(u.currentPeek());
    return u.resetPeek(), L;
  }
  function b(u, s) {
    const { currentType: d } = s;
    if (!(d === 8 || d === 12))
      return !1;
    S(u);
    const L = u.currentPeek() === ":";
    return u.resetPeek(), L;
  }
  function W(u, s) {
    const { currentType: d } = s;
    if (d !== 10)
      return !1;
    const L = () => {
      const U = u.currentPeek();
      return U === "{" ? f(u.peek()) : U === "@" || U === "%" || U === "|" || U === ":" || U === "." || U === Ie || !U ? !1 : U === te ? (u.peek(), L()) : f(U);
    }, F = L();
    return u.resetPeek(), F;
  }
  function X(u) {
    S(u);
    const s = u.currentPeek() === "|";
    return u.resetPeek(), s;
  }
  function de(u) {
    const s = S(u), d = u.currentPeek() === "%" && u.peek() === "{";
    return u.resetPeek(), {
      isModulo: d,
      hasSpace: s.length > 0
    };
  }
  function Z(u, s = !0) {
    const d = (F = !1, U = "", ge = !1) => {
      const be = u.currentPeek();
      return be === "{" ? U === "%" ? !1 : F : be === "@" || !be ? U === "%" ? !0 : F : be === "%" ? (u.peek(), d(F, "%", !0)) : be === "|" ? U === "%" || ge ? !0 : !(U === Ie || U === te) : be === Ie ? (u.peek(), d(!0, Ie, ge)) : be === te ? (u.peek(), d(!0, te, ge)) : !0;
    }, L = d();
    return s && u.resetPeek(), L;
  }
  function oe(u, s) {
    const d = u.currentChar();
    return d === ye ? ye : s(d) ? (u.next(), d) : null;
  }
  function We(u) {
    return oe(u, (d) => {
      const L = d.charCodeAt(0);
      return L >= 97 && L <= 122 || // a-z
      L >= 65 && L <= 90 || // A-Z
      L >= 48 && L <= 57 || // 0-9
      L === 95 || // _
      L === 36;
    });
  }
  function ze(u) {
    return oe(u, (d) => {
      const L = d.charCodeAt(0);
      return L >= 48 && L <= 57;
    });
  }
  function pe(u) {
    return oe(u, (d) => {
      const L = d.charCodeAt(0);
      return L >= 48 && L <= 57 || // 0-9
      L >= 65 && L <= 70 || // A-F
      L >= 97 && L <= 102;
    });
  }
  function Be(u) {
    let s = "", d = "";
    for (; s = ze(u); )
      d += s;
    return d;
  }
  function et(u) {
    k(u);
    const s = u.currentChar();
    return s !== "%" && I(P.EXPECTED_TOKEN, r(), 0, s), u.next(), "%";
  }
  function Ge(u) {
    let s = "";
    for (; ; ) {
      const d = u.currentChar();
      if (d === "{" || d === "}" || d === "@" || d === "|" || !d)
        break;
      if (d === "%")
        if (Z(u))
          s += d, u.next();
        else
          break;
      else if (d === Ie || d === te)
        if (Z(u))
          s += d, u.next();
        else {
          if (X(u))
            break;
          s += d, u.next();
        }
      else
        s += d, u.next();
    }
    return s;
  }
  function tt(u) {
    k(u);
    let s = "", d = "";
    for (; s = We(u); )
      d += s;
    return u.currentChar() === ye && I(P.UNTERMINATED_CLOSING_BRACE, r(), 0), d;
  }
  function me(u) {
    k(u);
    let s = "";
    return u.currentChar() === "-" ? (u.next(), s += `-${Be(u)}`) : s += Be(u), u.currentChar() === ye && I(P.UNTERMINATED_CLOSING_BRACE, r(), 0), s;
  }
  function Ye(u) {
    k(u), D(u, "'");
    let s = "", d = "";
    const L = (U) => U !== tn && U !== te;
    for (; s = oe(u, L); )
      s === "\\" ? d += nt(u) : d += s;
    const F = u.currentChar();
    return F === te || F === ye ? (I(P.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER, r(), 0), F === te && (u.next(), D(u, "'")), d) : (D(u, "'"), d);
  }
  function nt(u) {
    const s = u.currentChar();
    switch (s) {
      case "\\":
      case "'":
        return u.next(), `\\${s}`;
      case "u":
        return Ke(u, s, 4);
      case "U":
        return Ke(u, s, 6);
      default:
        return I(P.UNKNOWN_ESCAPE_SEQUENCE, r(), 0, s), "";
    }
  }
  function Ke(u, s, d) {
    D(u, s);
    let L = "";
    for (let F = 0; F < d; F++) {
      const U = pe(u);
      if (!U) {
        I(P.INVALID_UNICODE_ESCAPE_SEQUENCE, r(), 0, `\\${s}${L}${u.currentChar()}`);
        break;
      }
      L += U;
    }
    return `\\${s}${L}`;
  }
  function at(u) {
    k(u);
    let s = "", d = "";
    const L = (F) => F !== "{" && F !== "}" && F !== Ie && F !== te;
    for (; s = oe(u, L); )
      d += s;
    return d;
  }
  function rt(u) {
    let s = "", d = "";
    for (; s = We(u); )
      d += s;
    return d;
  }
  function dt(u) {
    const s = (d = !1, L) => {
      const F = u.currentChar();
      return F === "{" || F === "%" || F === "@" || F === "|" || F === "(" || F === ")" || !F || F === Ie ? L : F === te || F === Ja ? (L += F, u.next(), s(d, L)) : (L += F, u.next(), s(!0, L));
    };
    return s(!1, "");
  }
  function De(u) {
    k(u);
    const s = D(
      u,
      "|"
      /* TokenChars.Pipe */
    );
    return k(u), s;
  }
  function Re(u, s) {
    let d = null;
    switch (u.currentChar()) {
      case "{":
        return s.braceNest >= 1 && I(P.NOT_ALLOW_NEST_PLACEHOLDER, r(), 0), u.next(), d = g(
          s,
          2,
          "{"
          /* TokenChars.BraceLeft */
        ), k(u), s.braceNest++, d;
      case "}":
        return s.braceNest > 0 && s.currentType === 2 && I(P.EMPTY_PLACEHOLDER, r(), 0), u.next(), d = g(
          s,
          3,
          "}"
          /* TokenChars.BraceRight */
        ), s.braceNest--, s.braceNest > 0 && k(u), s.inLinked && s.braceNest === 0 && (s.inLinked = !1), d;
      case "@":
        return s.braceNest > 0 && I(P.UNTERMINATED_CLOSING_BRACE, r(), 0), d = Ce(u, s) || A(s), s.braceNest = 0, d;
      default:
        let F = !0, U = !0, ge = !0;
        if (X(u))
          return s.braceNest > 0 && I(P.UNTERMINATED_CLOSING_BRACE, r(), 0), d = g(s, 1, De(u)), s.braceNest = 0, s.inLinked = !1, d;
        if (s.braceNest > 0 && (s.currentType === 5 || s.currentType === 6 || s.currentType === 7))
          return I(P.UNTERMINATED_CLOSING_BRACE, r(), 0), s.braceNest = 0, Me(u, s);
        if (F = h(u, s))
          return d = g(s, 5, tt(u)), k(u), d;
        if (U = E(u, s))
          return d = g(s, 6, me(u)), k(u), d;
        if (ge = O(u, s))
          return d = g(s, 7, Ye(u)), k(u), d;
        if (!F && !U && !ge)
          return d = g(s, 13, at(u)), I(P.INVALID_TOKEN_IN_PLACEHOLDER, r(), 0, d.value), k(u), d;
        break;
    }
    return d;
  }
  function Ce(u, s) {
    const { currentType: d } = s;
    let L = null;
    const F = u.currentChar();
    switch ((d === 8 || d === 9 || d === 12 || d === 10) && (F === te || F === Ie) && I(P.INVALID_LINKED_FORMAT, r(), 0), F) {
      case "@":
        return u.next(), L = g(
          s,
          8,
          "@"
          /* TokenChars.LinkedAlias */
        ), s.inLinked = !0, L;
      case ".":
        return k(u), u.next(), g(
          s,
          9,
          "."
          /* TokenChars.LinkedDot */
        );
      case ":":
        return k(u), u.next(), g(
          s,
          10,
          ":"
          /* TokenChars.LinkedDelimiter */
        );
      default:
        return X(u) ? (L = g(s, 1, De(u)), s.braceNest = 0, s.inLinked = !1, L) : T(u, s) || b(u, s) ? (k(u), Ce(u, s)) : y(u, s) ? (k(u), g(s, 12, rt(u))) : W(u, s) ? (k(u), F === "{" ? Re(u, s) || L : g(s, 11, dt(u))) : (d === 8 && I(P.INVALID_LINKED_FORMAT, r(), 0), s.braceNest = 0, s.inLinked = !1, Me(u, s));
    }
  }
  function Me(u, s) {
    let d = {
      type: 14
      /* TokenTypes.EOF */
    };
    if (s.braceNest > 0)
      return Re(u, s) || A(s);
    if (s.inLinked)
      return Ce(u, s) || A(s);
    switch (u.currentChar()) {
      case "{":
        return Re(u, s) || A(s);
      case "}":
        return I(P.UNBALANCED_CLOSING_BRACE, r(), 0), u.next(), g(
          s,
          3,
          "}"
          /* TokenChars.BraceRight */
        );
      case "@":
        return Ce(u, s) || A(s);
      default:
        if (X(u))
          return d = g(s, 1, De(u)), s.braceNest = 0, s.inLinked = !1, d;
        const { isModulo: F, hasSpace: U } = de(u);
        if (F)
          return U ? g(s, 0, Ge(u)) : g(s, 4, et(u));
        if (Z(u))
          return g(s, 0, Ge(u));
        break;
    }
    return d;
  }
  function st() {
    const { currentType: u, offset: s, startLoc: d, endLoc: L } = c;
    return c.lastType = u, c.lastOffset = s, c.lastStartLoc = d, c.lastEndLoc = L, c.offset = l(), c.startLoc = r(), a.currentChar() === ye ? g(
      c,
      14
      /* TokenTypes.EOF */
    ) : Me(a, c);
  }
  return {
    nextToken: st,
    currentOffset: l,
    currentPosition: r,
    context: p
  };
}
const xa = "parser", za = /(?:\\\\|\\'|\\u([0-9a-fA-F]{4})|\\U([0-9a-fA-F]{6}))/g;
function er(e, t, n) {
  switch (e) {
    case "\\\\":
      return "\\";
    case "\\'":
      return "'";
    default: {
      const a = parseInt(t || n, 16);
      return a <= 55295 || a >= 57344 ? String.fromCodePoint(a) : "�";
    }
  }
}
function tr(e = {}) {
  const t = e.location !== !1, { onError: n } = e;
  function a(f, _, h, E, ...O) {
    const T = f.currentPosition();
    if (T.offset += E, T.column += E, n) {
      const y = t ? Ot(h, T) : null, b = xe(_, y, {
        domain: xa,
        args: O
      });
      n(b);
    }
  }
  function l(f, _, h) {
    const E = { type: f };
    return t && (E.start = _, E.end = _, E.loc = { start: h, end: h }), E;
  }
  function r(f, _, h, E) {
    E && (f.type = E), t && (f.end = _, f.loc && (f.loc.end = h));
  }
  function o(f, _) {
    const h = f.context(), E = l(3, h.offset, h.startLoc);
    return E.value = _, r(E, f.currentOffset(), f.currentPosition()), E;
  }
  function i(f, _) {
    const h = f.context(), { lastOffset: E, lastStartLoc: O } = h, T = l(5, E, O);
    return T.index = parseInt(_, 10), f.nextToken(), r(T, f.currentOffset(), f.currentPosition()), T;
  }
  function c(f, _) {
    const h = f.context(), { lastOffset: E, lastStartLoc: O } = h, T = l(4, E, O);
    return T.key = _, f.nextToken(), r(T, f.currentOffset(), f.currentPosition()), T;
  }
  function p(f, _) {
    const h = f.context(), { lastOffset: E, lastStartLoc: O } = h, T = l(9, E, O);
    return T.value = _.replace(za, er), f.nextToken(), r(T, f.currentOffset(), f.currentPosition()), T;
  }
  function v(f) {
    const _ = f.nextToken(), h = f.context(), { lastOffset: E, lastStartLoc: O } = h, T = l(8, E, O);
    return _.type !== 12 ? (a(f, P.UNEXPECTED_EMPTY_LINKED_MODIFIER, h.lastStartLoc, 0), T.value = "", r(T, E, O), {
      nextConsumeToken: _,
      node: T
    }) : (_.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, h.lastStartLoc, 0, ve(_)), T.value = _.value || "", r(T, f.currentOffset(), f.currentPosition()), {
      node: T
    });
  }
  function I(f, _) {
    const h = f.context(), E = l(7, h.offset, h.startLoc);
    return E.value = _, r(E, f.currentOffset(), f.currentPosition()), E;
  }
  function g(f) {
    const _ = f.context(), h = l(6, _.offset, _.startLoc);
    let E = f.nextToken();
    if (E.type === 9) {
      const O = v(f);
      h.modifier = O.node, E = O.nextConsumeToken || f.nextToken();
    }
    switch (E.type !== 10 && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(E)), E = f.nextToken(), E.type === 2 && (E = f.nextToken()), E.type) {
      case 11:
        E.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(E)), h.key = I(f, E.value || "");
        break;
      case 5:
        E.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(E)), h.key = c(f, E.value || "");
        break;
      case 6:
        E.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(E)), h.key = i(f, E.value || "");
        break;
      case 7:
        E.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(E)), h.key = p(f, E.value || "");
        break;
      default:
        a(f, P.UNEXPECTED_EMPTY_LINKED_KEY, _.lastStartLoc, 0);
        const O = f.context(), T = l(7, O.offset, O.startLoc);
        return T.value = "", r(T, O.offset, O.startLoc), h.key = T, r(h, O.offset, O.startLoc), {
          nextConsumeToken: E,
          node: h
        };
    }
    return r(h, f.currentOffset(), f.currentPosition()), {
      node: h
    };
  }
  function A(f) {
    const _ = f.context(), h = _.currentType === 1 ? f.currentOffset() : _.offset, E = _.currentType === 1 ? _.endLoc : _.startLoc, O = l(2, h, E);
    O.items = [];
    let T = null;
    do {
      const W = T || f.nextToken();
      switch (T = null, W.type) {
        case 0:
          W.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(W)), O.items.push(o(f, W.value || ""));
          break;
        case 6:
          W.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(W)), O.items.push(i(f, W.value || ""));
          break;
        case 5:
          W.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(W)), O.items.push(c(f, W.value || ""));
          break;
        case 7:
          W.value == null && a(f, P.UNEXPECTED_LEXICAL_ANALYSIS, _.lastStartLoc, 0, ve(W)), O.items.push(p(f, W.value || ""));
          break;
        case 8:
          const X = g(f);
          O.items.push(X.node), T = X.nextConsumeToken || null;
          break;
      }
    } while (_.currentType !== 14 && _.currentType !== 1);
    const y = _.currentType === 1 ? _.lastOffset : f.currentOffset(), b = _.currentType === 1 ? _.lastEndLoc : f.currentPosition();
    return r(O, y, b), O;
  }
  function D(f, _, h, E) {
    const O = f.context();
    let T = E.items.length === 0;
    const y = l(1, _, h);
    y.cases = [], y.cases.push(E);
    do {
      const b = A(f);
      T || (T = b.items.length === 0), y.cases.push(b);
    } while (O.currentType !== 14);
    return T && a(f, P.MUST_HAVE_MESSAGES_IN_PLURAL, h, 0), r(y, f.currentOffset(), f.currentPosition()), y;
  }
  function S(f) {
    const _ = f.context(), { offset: h, startLoc: E } = _, O = A(f);
    return _.currentType === 14 ? O : D(f, h, E, O);
  }
  function k(f) {
    const _ = Za(f, Pn({}, e)), h = _.context(), E = l(0, h.offset, h.startLoc);
    return t && E.loc && (E.loc.source = f), E.body = S(_), e.onCacheKey && (E.cacheKey = e.onCacheKey(f)), h.currentType !== 14 && a(_, P.UNEXPECTED_LEXICAL_ANALYSIS, h.lastStartLoc, 0, f[h.offset] || ""), r(E, _.currentOffset(), _.currentPosition()), E;
  }
  return { parse: k };
}
function ve(e) {
  if (e.type === 14)
    return "EOF";
  const t = (e.value || "").replace(/\r?\n/gu, "\\n");
  return t.length > 10 ? t.slice(0, 9) + "…" : t;
}
function nr(e, t = {}) {
  const n = {
    ast: e,
    helpers: /* @__PURE__ */ new Set()
  };
  return { context: () => n, helper: (r) => (n.helpers.add(r), r) };
}
function nn(e, t) {
  for (let n = 0; n < e.length; n++)
    Vt(e[n], t);
}
function Vt(e, t) {
  switch (e.type) {
    case 1:
      nn(e.cases, t), t.helper(
        "plural"
        /* HelperNameMap.PLURAL */
      );
      break;
    case 2:
      nn(e.items, t);
      break;
    case 6:
      Vt(e.key, t), t.helper(
        "linked"
        /* HelperNameMap.LINKED */
      ), t.helper(
        "type"
        /* HelperNameMap.TYPE */
      );
      break;
    case 5:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "list"
        /* HelperNameMap.LIST */
      );
      break;
    case 4:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "named"
        /* HelperNameMap.NAMED */
      );
      break;
  }
}
function ar(e, t = {}) {
  const n = nr(e);
  n.helper(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  ), e.body && Vt(e.body, n);
  const a = n.context();
  e.helpers = Array.from(a.helpers);
}
function rr(e) {
  const t = e.body;
  return t.type === 2 ? an(t) : t.cases.forEach((n) => an(n)), e;
}
function an(e) {
  if (e.items.length === 1) {
    const t = e.items[0];
    (t.type === 3 || t.type === 9) && (e.static = t.value, delete t.value);
  } else {
    const t = [];
    for (let n = 0; n < e.items.length; n++) {
      const a = e.items[n];
      if (!(a.type === 3 || a.type === 9) || a.value == null)
        break;
      t.push(a.value);
    }
    if (t.length === e.items.length) {
      e.static = Dn(t);
      for (let n = 0; n < e.items.length; n++) {
        const a = e.items[n];
        (a.type === 3 || a.type === 9) && delete a.value;
      }
    }
  }
}
const sr = "minifier";
function je(e) {
  switch (e.t = e.type, e.type) {
    case 0:
      const t = e;
      je(t.body), t.b = t.body, delete t.body;
      break;
    case 1:
      const n = e, a = n.cases;
      for (let v = 0; v < a.length; v++)
        je(a[v]);
      n.c = a, delete n.cases;
      break;
    case 2:
      const l = e, r = l.items;
      for (let v = 0; v < r.length; v++)
        je(r[v]);
      l.i = r, delete l.items, l.static && (l.s = l.static, delete l.static);
      break;
    case 3:
    case 9:
    case 8:
    case 7:
      const o = e;
      o.value && (o.v = o.value, delete o.value);
      break;
    case 6:
      const i = e;
      je(i.key), i.k = i.key, delete i.key, i.modifier && (je(i.modifier), i.m = i.modifier, delete i.modifier);
      break;
    case 5:
      const c = e;
      c.i = c.index, delete c.index;
      break;
    case 4:
      const p = e;
      p.k = p.key, delete p.key;
      break;
    default:
      throw xe(P.UNHANDLED_MINIFIER_NODE_TYPE, null, {
        domain: sr,
        args: [e.type]
      });
  }
  delete e.type;
}
const lr = "parser";
function or(e, t) {
  const { sourceMap: n, filename: a, breakLineCode: l, needIndent: r } = t, o = t.location !== !1, i = {
    filename: a,
    code: "",
    column: 1,
    line: 1,
    offset: 0,
    map: void 0,
    breakLineCode: l,
    needIndent: r,
    indentLevel: 0
  };
  o && e.loc && (i.source = e.loc.source);
  const c = () => i;
  function p(k, f) {
    i.code += k;
  }
  function v(k, f = !0) {
    const _ = f ? l : "";
    p(r ? _ + "  ".repeat(k) : _);
  }
  function I(k = !0) {
    const f = ++i.indentLevel;
    k && v(f);
  }
  function g(k = !0) {
    const f = --i.indentLevel;
    k && v(f);
  }
  function A() {
    v(i.indentLevel);
  }
  return {
    context: c,
    push: p,
    indent: I,
    deindent: g,
    newline: A,
    helper: (k) => `_${k}`,
    needIndent: () => i.needIndent
  };
}
function ir(e, t) {
  const { helper: n } = e;
  e.push(`${n(
    "linked"
    /* HelperNameMap.LINKED */
  )}(`), Ze(e, t.key), t.modifier ? (e.push(", "), Ze(e, t.modifier), e.push(", _type")) : e.push(", undefined, _type"), e.push(")");
}
function ur(e, t) {
  const { helper: n, needIndent: a } = e;
  e.push(`${n(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  )}([`), e.indent(a());
  const l = t.items.length;
  for (let r = 0; r < l && (Ze(e, t.items[r]), r !== l - 1); r++)
    e.push(", ");
  e.deindent(a()), e.push("])");
}
function cr(e, t) {
  const { helper: n, needIndent: a } = e;
  if (t.cases.length > 1) {
    e.push(`${n(
      "plural"
      /* HelperNameMap.PLURAL */
    )}([`), e.indent(a());
    const l = t.cases.length;
    for (let r = 0; r < l && (Ze(e, t.cases[r]), r !== l - 1); r++)
      e.push(", ");
    e.deindent(a()), e.push("])");
  }
}
function fr(e, t) {
  t.body ? Ze(e, t.body) : e.push("null");
}
function Ze(e, t) {
  const { helper: n } = e;
  switch (t.type) {
    case 0:
      fr(e, t);
      break;
    case 1:
      cr(e, t);
      break;
    case 2:
      ur(e, t);
      break;
    case 6:
      ir(e, t);
      break;
    case 8:
      e.push(JSON.stringify(t.value), t);
      break;
    case 7:
      e.push(JSON.stringify(t.value), t);
      break;
    case 5:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "list"
        /* HelperNameMap.LIST */
      )}(${t.index}))`, t);
      break;
    case 4:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "named"
        /* HelperNameMap.NAMED */
      )}(${JSON.stringify(t.key)}))`, t);
      break;
    case 9:
      e.push(JSON.stringify(t.value), t);
      break;
    case 3:
      e.push(JSON.stringify(t.value), t);
      break;
    default:
      throw xe(P.UNHANDLED_CODEGEN_NODE_TYPE, null, {
        domain: lr,
        args: [t.type]
      });
  }
}
const dr = (e, t = {}) => {
  const n = en(t.mode) ? t.mode : "normal", a = en(t.filename) ? t.filename : "message.intl", l = !!t.sourceMap, r = t.breakLineCode != null ? t.breakLineCode : n === "arrow" ? ";" : `
`, o = t.needIndent ? t.needIndent : n !== "arrow", i = e.helpers || [], c = or(e, {
    mode: n,
    filename: a,
    sourceMap: l,
    breakLineCode: r,
    needIndent: o
  });
  c.push(n === "normal" ? "function __msg__ (ctx) {" : "(ctx) => {"), c.indent(o), i.length > 0 && (c.push(`const { ${Dn(i.map((I) => `${I}: _${I}`), ", ")} } = ctx`), c.newline()), c.push("return "), Ze(c, e), c.deindent(o), c.push("}"), delete e.helpers;
  const { code: p, map: v } = c.context();
  return {
    ast: e,
    code: p,
    map: v ? v.toJSON() : void 0
    // eslint-disable-line @typescript-eslint/no-explicit-any
  };
};
function mr(e, t = {}) {
  const n = Pn({}, t), a = !!n.jit, l = !!n.minify, r = n.optimize == null ? !0 : n.optimize, i = tr(n).parse(e);
  return a ? (r && rr(i), l && je(i), { ast: i, code: "" }) : (ar(i, n), dr(i, n));
}
/*!
  * core-base v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
function _r() {
  typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (Te().__INTLIFY_PROD_DEVTOOLS__ = !1), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (Te().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (Te().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1);
}
const Pe = [];
Pe[
  0
  /* States.BEFORE_PATH */
] = {
  w: [
    0
    /* States.BEFORE_PATH */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
Pe[
  1
  /* States.IN_PATH */
] = {
  w: [
    1
    /* States.IN_PATH */
  ],
  ".": [
    2
    /* States.BEFORE_IDENT */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
Pe[
  2
  /* States.BEFORE_IDENT */
] = {
  w: [
    2
    /* States.BEFORE_IDENT */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ]
};
Pe[
  3
  /* States.IN_IDENT */
] = {
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ],
  w: [
    1,
    1
    /* Actions.PUSH */
  ],
  ".": [
    2,
    1
    /* Actions.PUSH */
  ],
  "[": [
    4,
    1
    /* Actions.PUSH */
  ],
  o: [
    7,
    1
    /* Actions.PUSH */
  ]
};
Pe[
  4
  /* States.IN_SUB_PATH */
] = {
  "'": [
    5,
    0
    /* Actions.APPEND */
  ],
  '"': [
    6,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4,
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ],
  "]": [
    1,
    3
    /* Actions.PUSH_SUB_PATH */
  ],
  o: 8,
  l: [
    4,
    0
    /* Actions.APPEND */
  ]
};
Pe[
  5
  /* States.IN_SINGLE_QUOTE */
] = {
  "'": [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    5,
    0
    /* Actions.APPEND */
  ]
};
Pe[
  6
  /* States.IN_DOUBLE_QUOTE */
] = {
  '"': [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    6,
    0
    /* Actions.APPEND */
  ]
};
const Er = /^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;
function pr(e) {
  return Er.test(e);
}
function gr(e) {
  const t = e.charCodeAt(0), n = e.charCodeAt(e.length - 1);
  return t === n && (t === 34 || t === 39) ? e.slice(1, -1) : e;
}
function vr(e) {
  if (e == null)
    return "o";
  switch (e.charCodeAt(0)) {
    case 91:
    case 93:
    case 46:
    case 34:
    case 39:
      return e;
    case 95:
    case 36:
    case 45:
      return "i";
    case 9:
    case 10:
    case 13:
    case 160:
    case 65279:
    case 8232:
    case 8233:
      return "w";
  }
  return "i";
}
function Nr(e) {
  const t = e.trim();
  return e.charAt(0) === "0" && isNaN(parseInt(e)) ? !1 : pr(t) ? gr(t) : "*" + t;
}
function hr(e) {
  const t = [];
  let n = -1, a = 0, l = 0, r, o, i, c, p, v, I;
  const g = [];
  g[
    0
    /* Actions.APPEND */
  ] = () => {
    o === void 0 ? o = i : o += i;
  }, g[
    1
    /* Actions.PUSH */
  ] = () => {
    o !== void 0 && (t.push(o), o = void 0);
  }, g[
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ] = () => {
    g[
      0
      /* Actions.APPEND */
    ](), l++;
  }, g[
    3
    /* Actions.PUSH_SUB_PATH */
  ] = () => {
    if (l > 0)
      l--, a = 4, g[
        0
        /* Actions.APPEND */
      ]();
    else {
      if (l = 0, o === void 0 || (o = Nr(o), o === !1))
        return !1;
      g[
        1
        /* Actions.PUSH */
      ]();
    }
  };
  function A() {
    const D = e[n + 1];
    if (a === 5 && D === "'" || a === 6 && D === '"')
      return n++, i = "\\" + D, g[
        0
        /* Actions.APPEND */
      ](), !0;
  }
  for (; a !== null; )
    if (n++, r = e[n], !(r === "\\" && A())) {
      if (c = vr(r), I = Pe[a], p = I[c] || I.l || 8, p === 8 || (a = p[0], p[1] !== void 0 && (v = g[p[1]], v && (i = r, v() === !1))))
        return;
      if (a === 7)
        return t;
    }
}
const rn = /* @__PURE__ */ new Map();
function br(e, t) {
  return H(e) ? e[t] : null;
}
function Ir(e, t) {
  if (!H(e))
    return null;
  let n = rn.get(t);
  if (n || (n = hr(t), n && rn.set(t, n)), !n)
    return null;
  const a = n.length;
  let l = e, r = 0;
  for (; r < a; ) {
    const o = l[n[r]];
    if (o === void 0 || Y(l))
      return null;
    l = o, r++;
  }
  return l;
}
const Tr = (e) => e, Lr = (e) => "", Or = "text", Cr = (e) => e.length === 0 ? "" : Ra(e), yr = Da;
function sn(e, t) {
  return e = Math.abs(e), t === 2 ? e ? e > 1 ? 1 : 0 : 1 : e ? Math.min(e, 2) : 0;
}
function Ar(e) {
  const t = z(e.pluralIndex) ? e.pluralIndex : -1;
  return e.named && (z(e.named.count) || z(e.named.n)) ? z(e.named.count) ? e.named.count : z(e.named.n) ? e.named.n : t : t;
}
function kr(e, t) {
  t.count || (t.count = e), t.n || (t.n = e);
}
function Sr(e = {}) {
  const t = e.locale, n = Ar(e), a = H(e.pluralRules) && C(t) && Y(e.pluralRules[t]) ? e.pluralRules[t] : sn, l = H(e.pluralRules) && C(t) && Y(e.pluralRules[t]) ? sn : void 0, r = (f) => f[a(n, f.length, l)], o = e.list || [], i = (f) => o[f], c = e.named || {};
  z(e.pluralIndex) && kr(n, c);
  const p = (f) => c[f];
  function v(f) {
    const _ = Y(e.messages) ? e.messages(f) : H(e.messages) ? e.messages[f] : !1;
    return _ || (e.parent ? e.parent.message(f) : Lr);
  }
  const I = (f) => e.modifiers ? e.modifiers[f] : Tr, g = $(e.processor) && Y(e.processor.normalize) ? e.processor.normalize : Cr, A = $(e.processor) && Y(e.processor.interpolate) ? e.processor.interpolate : yr, D = $(e.processor) && C(e.processor.type) ? e.processor.type : Or, k = {
    list: i,
    named: p,
    plural: r,
    linked: (f, ..._) => {
      const [h, E] = _;
      let O = "text", T = "";
      _.length === 1 ? H(h) ? (T = h.modifier || T, O = h.type || O) : C(h) && (T = h || T) : _.length === 2 && (C(h) && (T = h || T), C(E) && (O = E || O));
      const y = v(f)(k), b = (
        // The message in vnode resolved with linked are returned as an array by processor.nomalize
        O === "vnode" && Q(y) && T ? y[0] : y
      );
      return T ? I(T)(b, O) : b;
    },
    message: v,
    type: D,
    interpolate: A,
    normalize: g,
    values: ee({}, o, c)
  };
  return k;
}
let ot = null;
function Pr(e) {
  ot = e;
}
function Dr(e, t, n) {
  ot && ot.emit("i18n:init", {
    timestamp: Date.now(),
    i18n: e,
    version: t,
    meta: n
  });
}
const Rr = /* @__PURE__ */ Mr(
  "function:translate"
  /* IntlifyDevToolsHooks.FunctionTranslate */
);
function Mr(e) {
  return (t) => ot && ot.emit(e, t);
}
const ne = {
  NOT_FOUND_KEY: 1,
  FALLBACK_TO_TRANSLATE: 2,
  CANNOT_FORMAT_NUMBER: 3,
  FALLBACK_TO_NUMBER_FORMAT: 4,
  CANNOT_FORMAT_DATE: 5,
  FALLBACK_TO_DATE_FORMAT: 6,
  EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER: 7,
  __EXTEND_POINT__: 8
}, Fr = {
  [ne.NOT_FOUND_KEY]: "Not found '{key}' key in '{locale}' locale messages.",
  [ne.FALLBACK_TO_TRANSLATE]: "Fall back to translate '{key}' key with '{target}' locale.",
  [ne.CANNOT_FORMAT_NUMBER]: "Cannot format a number value due to not supported Intl.NumberFormat.",
  [ne.FALLBACK_TO_NUMBER_FORMAT]: "Fall back to number format '{key}' key with '{target}' locale.",
  [ne.CANNOT_FORMAT_DATE]: "Cannot format a date value due to not supported Intl.DateTimeFormat.",
  [ne.FALLBACK_TO_DATE_FORMAT]: "Fall back to datetime format '{key}' key with '{target}' locale.",
  [ne.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER]: "This project is using Custom Message Compiler, which is an experimental feature. It may receive breaking changes or be removed in the future."
};
function Ve(e, ...t) {
  return wt(Fr[e], ...t);
}
const Rn = P.__EXTEND_POINT__, we = Ut(Rn), x = {
  INVALID_ARGUMENT: Rn,
  INVALID_DATE_ARGUMENT: we(),
  INVALID_ISO_DATE_ARGUMENT: we(),
  NOT_SUPPORT_NON_STRING_MESSAGE: we(),
  NOT_SUPPORT_LOCALE_PROMISE_VALUE: we(),
  NOT_SUPPORT_LOCALE_ASYNC_FUNCTION: we(),
  NOT_SUPPORT_LOCALE_TYPE: we(),
  __EXTEND_POINT__: we()
  // 25
};
function he(e) {
  return xe(e, null, process.env.NODE_ENV !== "production" ? { messages: $r } : void 0);
}
const $r = {
  [x.INVALID_ARGUMENT]: "Invalid arguments",
  [x.INVALID_DATE_ARGUMENT]: "The date provided is an invalid Date object.Make sure your Date represents a valid date.",
  [x.INVALID_ISO_DATE_ARGUMENT]: "The argument provided is not a valid ISO date string",
  [x.NOT_SUPPORT_NON_STRING_MESSAGE]: "Not support non-string message",
  [x.NOT_SUPPORT_LOCALE_PROMISE_VALUE]: "cannot support promise value",
  [x.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION]: "cannot support async function",
  [x.NOT_SUPPORT_LOCALE_TYPE]: "cannot support locale type"
};
function Ht(e, t) {
  return t.locale != null ? ln(t.locale) : ln(e.locale);
}
let It;
function ln(e) {
  if (C(e))
    return e;
  if (Y(e)) {
    if (e.resolvedOnce && It != null)
      return It;
    if (e.constructor.name === "Function") {
      const t = e();
      if (Pa(t))
        throw he(x.NOT_SUPPORT_LOCALE_PROMISE_VALUE);
      return It = t;
    } else
      throw he(x.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION);
  } else
    throw he(x.NOT_SUPPORT_LOCALE_TYPE);
}
function wr(e, t, n) {
  return [.../* @__PURE__ */ new Set([
    n,
    ...Q(t) ? t : H(t) ? Object.keys(t) : C(t) ? [t] : [n]
  ])];
}
function Mn(e, t, n) {
  const a = C(n) ? n : it, l = e;
  l.__localeChainCache || (l.__localeChainCache = /* @__PURE__ */ new Map());
  let r = l.__localeChainCache.get(a);
  if (!r) {
    r = [];
    let o = [n];
    for (; Q(o); )
      o = on(r, o, t);
    const i = Q(t) || !$(t) ? t : t.default ? t.default : null;
    o = C(i) ? [i] : i, Q(o) && on(r, o, !1), l.__localeChainCache.set(a, r);
  }
  return r;
}
function on(e, t, n) {
  let a = !0;
  for (let l = 0; l < t.length && G(a); l++) {
    const r = t[l];
    C(r) && (a = Ur(e, t[l], n));
  }
  return a;
}
function Ur(e, t, n) {
  let a;
  const l = t.split("-");
  do {
    const r = l.join("-");
    a = Vr(e, r, n), l.splice(-1, 1);
  } while (l.length && a === !0);
  return a;
}
function Vr(e, t, n) {
  let a = !1;
  if (!e.includes(t) && (a = !0, t)) {
    a = t[t.length - 1] !== "!";
    const l = t.replace(/!/g, "");
    e.push(l), (Q(n) || $(n)) && n[l] && (a = n[l]);
  }
  return a;
}
const Hr = "9.9.0", Nt = -1, it = "en-US", gt = "", un = (e) => `${e.charAt(0).toLocaleUpperCase()}${e.substr(1)}`;
function Wr() {
  return {
    upper: (e, t) => t === "text" && C(e) ? e.toUpperCase() : t === "vnode" && H(e) && "__v_isVNode" in e ? e.children.toUpperCase() : e,
    lower: (e, t) => t === "text" && C(e) ? e.toLowerCase() : t === "vnode" && H(e) && "__v_isVNode" in e ? e.children.toLowerCase() : e,
    capitalize: (e, t) => t === "text" && C(e) ? un(e) : t === "vnode" && H(e) && "__v_isVNode" in e ? un(e.children) : e
  };
}
let Fn;
function cn(e) {
  Fn = e;
}
let $n;
function Br(e) {
  $n = e;
}
let wn;
function Gr(e) {
  wn = e;
}
let Un = null;
const Yr = /* @__NO_SIDE_EFFECTS__ */ (e) => {
  Un = e;
}, Kr = /* @__NO_SIDE_EFFECTS__ */ () => Un;
let Vn = null;
const fn = (e) => {
  Vn = e;
}, Xr = () => Vn;
let dn = 0;
function jr(e = {}) {
  const t = Y(e.onWarn) ? e.onWarn : Se, n = C(e.version) ? e.version : Hr, a = C(e.locale) || Y(e.locale) ? e.locale : it, l = Y(a) ? it : a, r = Q(e.fallbackLocale) || $(e.fallbackLocale) || C(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : l, o = $(e.messages) ? e.messages : { [l]: {} }, i = $(e.datetimeFormats) ? e.datetimeFormats : { [l]: {} }, c = $(e.numberFormats) ? e.numberFormats : { [l]: {} }, p = ee({}, e.modifiers || {}, Wr()), v = e.pluralRules || {}, I = Y(e.missing) ? e.missing : null, g = G(e.missingWarn) || Qe(e.missingWarn) ? e.missingWarn : !0, A = G(e.fallbackWarn) || Qe(e.fallbackWarn) ? e.fallbackWarn : !0, D = !!e.fallbackFormat, S = !!e.unresolving, k = Y(e.postTranslation) ? e.postTranslation : null, f = $(e.processor) ? e.processor : null, _ = G(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, h = !!e.escapeParameter, E = Y(e.messageCompiler) ? e.messageCompiler : Fn;
  process.env.NODE_ENV !== "production" && Y(e.messageCompiler) && Fa(Ve(ne.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER));
  const O = Y(e.messageResolver) ? e.messageResolver : $n || br, T = Y(e.localeFallbacker) ? e.localeFallbacker : wn || wr, y = H(e.fallbackContext) ? e.fallbackContext : void 0, b = e, W = H(b.__datetimeFormatters) ? b.__datetimeFormatters : /* @__PURE__ */ new Map(), X = H(b.__numberFormatters) ? b.__numberFormatters : /* @__PURE__ */ new Map(), de = H(b.__meta) ? b.__meta : {};
  dn++;
  const Z = {
    version: n,
    cid: dn,
    locale: a,
    fallbackLocale: r,
    messages: o,
    modifiers: p,
    pluralRules: v,
    missing: I,
    missingWarn: g,
    fallbackWarn: A,
    fallbackFormat: D,
    unresolving: S,
    postTranslation: k,
    processor: f,
    warnHtmlMessage: _,
    escapeParameter: h,
    messageCompiler: E,
    messageResolver: O,
    localeFallbacker: T,
    fallbackContext: y,
    onWarn: t,
    __meta: de
  };
  return Z.datetimeFormats = i, Z.numberFormats = c, Z.__datetimeFormatters = W, Z.__numberFormatters = X, process.env.NODE_ENV !== "production" && (Z.__v_emitter = b.__v_emitter != null ? b.__v_emitter : void 0), (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && Dr(Z, n, de), Z;
}
function ht(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function Hn(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function Wt(e, t, n, a, l) {
  const { missing: r, onWarn: o } = e;
  if (process.env.NODE_ENV !== "production") {
    const i = e.__v_emitter;
    i && i.emit("missing", {
      locale: n,
      key: t,
      type: l,
      groupId: `${l}:${t}`
    });
  }
  if (r !== null) {
    const i = r(e, n, t, l);
    return C(i) ? i : t;
  } else
    return process.env.NODE_ENV !== "production" && Hn(a, t) && o(Ve(ne.NOT_FOUND_KEY, { key: t, locale: n })), t;
}
function lt(e, t, n) {
  const a = e;
  a.__localeChainCache = /* @__PURE__ */ new Map(), e.localeFallbacker(e, n, t);
}
function Tt(e) {
  return (n) => qr(n, e);
}
function qr(e, t) {
  const n = t.b || t.body;
  if ((n.t || n.type) === 1) {
    const a = n, l = a.c || a.cases;
    return e.plural(l.reduce((r, o) => [
      ...r,
      mn(e, o)
    ], []));
  } else
    return mn(e, n);
}
function mn(e, t) {
  const n = t.s || t.static;
  if (n)
    return e.type === "text" ? n : e.normalize([n]);
  {
    const a = (t.i || t.items).reduce((l, r) => [...l, Ct(e, r)], []);
    return e.normalize(a);
  }
}
function Ct(e, t) {
  const n = t.t || t.type;
  switch (n) {
    case 3:
      const a = t;
      return a.v || a.value;
    case 9:
      const l = t;
      return l.v || l.value;
    case 4:
      const r = t;
      return e.interpolate(e.named(r.k || r.key));
    case 5:
      const o = t;
      return e.interpolate(e.list(o.i != null ? o.i : o.index));
    case 6:
      const i = t, c = i.m || i.modifier;
      return e.linked(Ct(e, i.k || i.key), c ? Ct(e, c) : void 0, e.type);
    case 7:
      const p = t;
      return p.v || p.value;
    case 8:
      const v = t;
      return v.v || v.value;
    default:
      throw new Error(`unhandled node type on format message part: ${n}`);
  }
}
const Jr = "Detected HTML in '{source}' message. Recommend not using HTML messages to avoid XSS.";
function Wn(e, t) {
  t && Ya(e) && Se(wt(Jr, { source: e }));
}
const Bn = (e) => e;
let qe = /* @__PURE__ */ Object.create(null);
const He = (e) => H(e) && (e.t === 0 || e.type === 0) && ("b" in e || "body" in e);
function Gn(e, t = {}) {
  let n = !1;
  const a = t.onError || Ba;
  return t.onError = (l) => {
    n = !0, a(l);
  }, { ...mr(e, t), detectError: n };
}
const Qr = /* @__NO_SIDE_EFFECTS__ */ (e, t) => {
  if (!C(e))
    throw he(x.NOT_SUPPORT_NON_STRING_MESSAGE);
  {
    const n = G(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Wn(e, n);
    const l = (t.onCacheKey || Bn)(e), r = qe[l];
    if (r)
      return r;
    const { code: o, detectError: i } = Gn(e, t), c = new Function(`return ${o}`)();
    return i ? c : qe[l] = c;
  }
};
function Zr(e, t) {
  if (__INTLIFY_JIT_COMPILATION__ && !__INTLIFY_DROP_MESSAGE_COMPILER__ && C(e)) {
    const n = G(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && Wn(e, n);
    const l = (t.onCacheKey || Bn)(e), r = qe[l];
    if (r)
      return r;
    const { ast: o, detectError: i } = Gn(e, {
      ...t,
      location: process.env.NODE_ENV !== "production",
      jit: !0
    }), c = Tt(o);
    return i ? c : qe[l] = c;
  } else {
    if (process.env.NODE_ENV !== "production" && !He(e))
      return Se(`the message that is resolve with key '${t.key}' is not supported for jit compilation`), () => e;
    const n = e.cacheKey;
    if (n) {
      const a = qe[n];
      return a || (qe[n] = Tt(e));
    } else
      return Tt(e);
  }
}
const _n = () => "", ue = (e) => Y(e);
function En(e, ...t) {
  const { fallbackFormat: n, postTranslation: a, unresolving: l, messageCompiler: r, fallbackLocale: o, messages: i } = e, [c, p] = yt(...t), v = G(p.missingWarn) ? p.missingWarn : e.missingWarn, I = G(p.fallbackWarn) ? p.fallbackWarn : e.fallbackWarn, g = G(p.escapeParameter) ? p.escapeParameter : e.escapeParameter, A = !!p.resolvedMessage, D = C(p.default) || G(p.default) ? G(p.default) ? r ? c : () => c : p.default : n ? r ? c : () => c : "", S = n || D !== "", k = Ht(e, p);
  g && xr(p);
  let [f, _, h] = A ? [
    c,
    k,
    i[k] || {}
  ] : Yn(e, c, k, o, I, v), E = f, O = c;
  if (!A && !(C(E) || He(E) || ue(E)) && S && (E = D, O = E), !A && (!(C(E) || He(E) || ue(E)) || !C(_)))
    return l ? Nt : c;
  if (process.env.NODE_ENV !== "production" && C(E) && e.messageCompiler == null)
    return Se(`The message format compilation is not supported in this build. Because message compiler isn't included. You need to pre-compilation all message format. So translate function return '${c}'.`), c;
  let T = !1;
  const y = () => {
    T = !0;
  }, b = ue(E) ? E : Kn(e, c, _, E, O, y);
  if (T)
    return E;
  const W = ns(e, _, h, p), X = Sr(W), de = zr(e, b, X), Z = a ? a(de, c) : de;
  if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
    const oe = {
      timestamp: Date.now(),
      key: C(c) ? c : ue(E) ? E.key : "",
      locale: _ || (ue(E) ? E.locale : ""),
      format: C(E) ? E : ue(E) ? E.source : "",
      message: Z
    };
    oe.meta = ee({}, e.__meta, /* @__PURE__ */ Kr() || {}), Rr(oe);
  }
  return Z;
}
function xr(e) {
  Q(e.list) ? e.list = e.list.map((t) => C(t) ? Zt(t) : t) : H(e.named) && Object.keys(e.named).forEach((t) => {
    C(e.named[t]) && (e.named[t] = Zt(e.named[t]));
  });
}
function Yn(e, t, n, a, l, r) {
  const { messages: o, onWarn: i, messageResolver: c, localeFallbacker: p } = e, v = p(e, a, n);
  let I = {}, g, A = null, D = n, S = null;
  const k = "translate";
  for (let f = 0; f < v.length; f++) {
    if (g = S = v[f], process.env.NODE_ENV !== "production" && n !== g && ht(l, t) && i(Ve(ne.FALLBACK_TO_TRANSLATE, {
      key: t,
      target: g
    })), process.env.NODE_ENV !== "production" && n !== g) {
      const T = e.__v_emitter;
      T && T.emit("fallback", {
        type: k,
        key: t,
        from: D,
        to: S,
        groupId: `${k}:${t}`
      });
    }
    I = o[g] || {};
    let _ = null, h, E;
    if (process.env.NODE_ENV !== "production" && Le && (_ = window.performance.now(), h = "intlify-message-resolve-start", E = "intlify-message-resolve-end", le && le(h)), (A = c(I, t)) === null && (A = I[t]), process.env.NODE_ENV !== "production" && Le) {
      const T = window.performance.now(), y = e.__v_emitter;
      y && _ && A && y.emit("message-resolve", {
        type: "message-resolve",
        key: t,
        message: A,
        time: T - _,
        groupId: `${k}:${t}`
      }), h && E && le && Ue && (le(E), Ue("intlify message resolve", h, E));
    }
    if (C(A) || He(A) || ue(A))
      break;
    const O = Wt(
      e,
      // eslint-disable-line @typescript-eslint/no-explicit-any
      t,
      g,
      r,
      k
    );
    O !== t && (A = O), D = S;
  }
  return [A, g, I];
}
function Kn(e, t, n, a, l, r) {
  const { messageCompiler: o, warnHtmlMessage: i } = e;
  if (ue(a)) {
    const g = a;
    return g.locale = g.locale || n, g.key = g.key || t, g;
  }
  if (o == null) {
    const g = () => a;
    return g.locale = n, g.key = t, g;
  }
  let c = null, p, v;
  process.env.NODE_ENV !== "production" && Le && (c = window.performance.now(), p = "intlify-message-compilation-start", v = "intlify-message-compilation-end", le && le(p));
  const I = o(a, es(e, n, l, a, i, r));
  if (process.env.NODE_ENV !== "production" && Le) {
    const g = window.performance.now(), A = e.__v_emitter;
    A && c && A.emit("message-compilation", {
      type: "message-compilation",
      message: a,
      time: g - c,
      groupId: `translate:${t}`
    }), p && v && le && Ue && (le(v), Ue("intlify message compilation", p, v));
  }
  return I.locale = n, I.key = t, I.source = a, I;
}
function zr(e, t, n) {
  let a = null, l, r;
  process.env.NODE_ENV !== "production" && Le && (a = window.performance.now(), l = "intlify-message-evaluation-start", r = "intlify-message-evaluation-end", le && le(l));
  const o = t(n);
  if (process.env.NODE_ENV !== "production" && Le) {
    const i = window.performance.now(), c = e.__v_emitter;
    c && a && c.emit("message-evaluation", {
      type: "message-evaluation",
      value: o,
      time: i - a,
      groupId: `translate:${t.key}`
    }), l && r && le && Ue && (le(r), Ue("intlify message evaluation", l, r));
  }
  return o;
}
function yt(...e) {
  const [t, n, a] = e, l = {};
  if (!C(t) && !z(t) && !ue(t) && !He(t))
    throw he(x.INVALID_ARGUMENT);
  const r = z(t) ? String(t) : (ue(t), t);
  return z(n) ? l.plural = n : C(n) ? l.default = n : $(n) && !vt(n) ? l.named = n : Q(n) && (l.list = n), z(a) ? l.plural = a : C(a) ? l.default = a : $(a) && ee(l, a), [r, l];
}
function es(e, t, n, a, l, r) {
  return {
    locale: t,
    key: n,
    warnHtmlMessage: l,
    onError: (o) => {
      if (r && r(o), process.env.NODE_ENV !== "production") {
        const i = ts(a), c = `Message compilation error: ${o.message}`, p = o.location && i && Ma(i, o.location.start.offset, o.location.end.offset), v = e.__v_emitter;
        v && i && v.emit("compile-error", {
          message: i,
          error: o.message,
          start: o.location && o.location.start.offset,
          end: o.location && o.location.end.offset,
          groupId: `translate:${n}`
        }), console.error(p ? `${c}
${p}` : c);
      } else
        throw o;
    },
    onCacheKey: (o) => ya(t, n, o)
  };
}
function ts(e) {
  if (C(e))
    return e;
  if (e.loc && e.loc.source)
    return e.loc.source;
}
function ns(e, t, n, a) {
  const { modifiers: l, pluralRules: r, messageResolver: o, fallbackLocale: i, fallbackWarn: c, missingWarn: p, fallbackContext: v } = e, g = {
    locale: t,
    modifiers: l,
    pluralRules: r,
    messages: (A) => {
      let D = o(n, A);
      if (D == null && v) {
        const [, , S] = Yn(v, A, t, i, c, p);
        D = o(S, A);
      }
      if (C(D) || He(D)) {
        let S = !1;
        const f = Kn(e, A, t, D, A, () => {
          S = !0;
        });
        return S ? _n : f;
      } else
        return ue(D) ? D : _n;
    }
  };
  return e.processor && (g.processor = e.processor), a.list && (g.list = a.list), a.named && (g.named = a.named), z(a.plural) && (g.pluralIndex = a.plural), g;
}
const pn = typeof Intl < "u", Xn = {
  dateTimeFormat: pn && typeof Intl.DateTimeFormat < "u",
  numberFormat: pn && typeof Intl.NumberFormat < "u"
};
function gn(e, ...t) {
  const { datetimeFormats: n, unresolving: a, fallbackLocale: l, onWarn: r, localeFallbacker: o } = e, { __datetimeFormatters: i } = e;
  if (process.env.NODE_ENV !== "production" && !Xn.dateTimeFormat)
    return r(Ve(ne.CANNOT_FORMAT_DATE)), gt;
  const [c, p, v, I] = At(...t), g = G(v.missingWarn) ? v.missingWarn : e.missingWarn, A = G(v.fallbackWarn) ? v.fallbackWarn : e.fallbackWarn, D = !!v.part, S = Ht(e, v), k = o(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    l,
    S
  );
  if (!C(c) || c === "")
    return new Intl.DateTimeFormat(S, I).format(p);
  let f = {}, _, h = null, E = S, O = null;
  const T = "datetime format";
  for (let W = 0; W < k.length; W++) {
    if (_ = O = k[W], process.env.NODE_ENV !== "production" && S !== _ && ht(A, c) && r(Ve(ne.FALLBACK_TO_DATE_FORMAT, {
      key: c,
      target: _
    })), process.env.NODE_ENV !== "production" && S !== _) {
      const X = e.__v_emitter;
      X && X.emit("fallback", {
        type: T,
        key: c,
        from: E,
        to: O,
        groupId: `${T}:${c}`
      });
    }
    if (f = n[_] || {}, h = f[c], $(h))
      break;
    Wt(e, c, _, g, T), E = O;
  }
  if (!$(h) || !C(_))
    return a ? Nt : c;
  let y = `${_}__${c}`;
  vt(I) || (y = `${y}__${JSON.stringify(I)}`);
  let b = i.get(y);
  return b || (b = new Intl.DateTimeFormat(_, ee({}, h, I)), i.set(y, b)), D ? b.formatToParts(p) : b.format(p);
}
const jn = [
  "localeMatcher",
  "weekday",
  "era",
  "year",
  "month",
  "day",
  "hour",
  "minute",
  "second",
  "timeZoneName",
  "formatMatcher",
  "hour12",
  "timeZone",
  "dateStyle",
  "timeStyle",
  "calendar",
  "dayPeriod",
  "numberingSystem",
  "hourCycle",
  "fractionalSecondDigits"
];
function At(...e) {
  const [t, n, a, l] = e, r = {};
  let o = {}, i;
  if (C(t)) {
    const c = t.match(/(\d{4}-\d{2}-\d{2})(T|\s)?(.*)/);
    if (!c)
      throw he(x.INVALID_ISO_DATE_ARGUMENT);
    const p = c[3] ? c[3].trim().startsWith("T") ? `${c[1].trim()}${c[3].trim()}` : `${c[1].trim()}T${c[3].trim()}` : c[1].trim();
    i = new Date(p);
    try {
      i.toISOString();
    } catch {
      throw he(x.INVALID_ISO_DATE_ARGUMENT);
    }
  } else if (ka(t)) {
    if (isNaN(t.getTime()))
      throw he(x.INVALID_DATE_ARGUMENT);
    i = t;
  } else if (z(t))
    i = t;
  else
    throw he(x.INVALID_ARGUMENT);
  return C(n) ? r.key = n : $(n) && Object.keys(n).forEach((c) => {
    jn.includes(c) ? o[c] = n[c] : r[c] = n[c];
  }), C(a) ? r.locale = a : $(a) && (o = a), $(l) && (o = l), [r.key || "", i, r, o];
}
function vn(e, t, n) {
  const a = e;
  for (const l in n) {
    const r = `${t}__${l}`;
    a.__datetimeFormatters.has(r) && a.__datetimeFormatters.delete(r);
  }
}
function Nn(e, ...t) {
  const { numberFormats: n, unresolving: a, fallbackLocale: l, onWarn: r, localeFallbacker: o } = e, { __numberFormatters: i } = e;
  if (process.env.NODE_ENV !== "production" && !Xn.numberFormat)
    return r(Ve(ne.CANNOT_FORMAT_NUMBER)), gt;
  const [c, p, v, I] = kt(...t), g = G(v.missingWarn) ? v.missingWarn : e.missingWarn, A = G(v.fallbackWarn) ? v.fallbackWarn : e.fallbackWarn, D = !!v.part, S = Ht(e, v), k = o(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    l,
    S
  );
  if (!C(c) || c === "")
    return new Intl.NumberFormat(S, I).format(p);
  let f = {}, _, h = null, E = S, O = null;
  const T = "number format";
  for (let W = 0; W < k.length; W++) {
    if (_ = O = k[W], process.env.NODE_ENV !== "production" && S !== _ && ht(A, c) && r(Ve(ne.FALLBACK_TO_NUMBER_FORMAT, {
      key: c,
      target: _
    })), process.env.NODE_ENV !== "production" && S !== _) {
      const X = e.__v_emitter;
      X && X.emit("fallback", {
        type: T,
        key: c,
        from: E,
        to: O,
        groupId: `${T}:${c}`
      });
    }
    if (f = n[_] || {}, h = f[c], $(h))
      break;
    Wt(e, c, _, g, T), E = O;
  }
  if (!$(h) || !C(_))
    return a ? Nt : c;
  let y = `${_}__${c}`;
  vt(I) || (y = `${y}__${JSON.stringify(I)}`);
  let b = i.get(y);
  return b || (b = new Intl.NumberFormat(_, ee({}, h, I)), i.set(y, b)), D ? b.formatToParts(p) : b.format(p);
}
const qn = [
  "localeMatcher",
  "style",
  "currency",
  "currencyDisplay",
  "currencySign",
  "useGrouping",
  "minimumIntegerDigits",
  "minimumFractionDigits",
  "maximumFractionDigits",
  "minimumSignificantDigits",
  "maximumSignificantDigits",
  "compactDisplay",
  "notation",
  "signDisplay",
  "unit",
  "unitDisplay",
  "roundingMode",
  "roundingPriority",
  "roundingIncrement",
  "trailingZeroDisplay"
];
function kt(...e) {
  const [t, n, a, l] = e, r = {};
  let o = {};
  if (!z(t))
    throw he(x.INVALID_ARGUMENT);
  const i = t;
  return C(n) ? r.key = n : $(n) && Object.keys(n).forEach((c) => {
    qn.includes(c) ? o[c] = n[c] : r[c] = n[c];
  }), C(a) ? r.locale = a : $(a) && (o = a), $(l) && (o = l), [r.key || "", i, r, o];
}
function hn(e, t, n) {
  const a = e;
  for (const l in n) {
    const r = `${t}__${l}`;
    a.__numberFormatters.has(r) && a.__numberFormatters.delete(r);
  }
}
_r();
/*!
  * vue-i18n v9.9.0
  * (c) 2024 kazuya kawaguchi
  * Released under the MIT License.
  */
const as = "9.9.0";
function rs() {
  typeof __VUE_I18N_FULL_INSTALL__ != "boolean" && (Te().__VUE_I18N_FULL_INSTALL__ = !0), typeof __VUE_I18N_LEGACY_API__ != "boolean" && (Te().__VUE_I18N_LEGACY_API__ = !0), typeof __INTLIFY_JIT_COMPILATION__ != "boolean" && (Te().__INTLIFY_JIT_COMPILATION__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (Te().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1), typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (Te().__INTLIFY_PROD_DEVTOOLS__ = !1);
}
const Jn = ne.__EXTEND_POINT__, Ae = Ut(Jn), ie = {
  FALLBACK_TO_ROOT: Jn,
  NOT_SUPPORTED_PRESERVE: Ae(),
  NOT_SUPPORTED_FORMATTER: Ae(),
  NOT_SUPPORTED_PRESERVE_DIRECTIVE: Ae(),
  NOT_SUPPORTED_GET_CHOICE_INDEX: Ae(),
  COMPONENT_NAME_LEGACY_COMPATIBLE: Ae(),
  NOT_FOUND_PARENT_SCOPE: Ae(),
  IGNORE_OBJ_FLATTEN: Ae(),
  NOTICE_DROP_ALLOW_COMPOSITION: Ae()
  // 17
}, ss = {
  [ie.FALLBACK_TO_ROOT]: "Fall back to {type} '{key}' with root locale.",
  [ie.NOT_SUPPORTED_PRESERVE]: "Not supported 'preserve'.",
  [ie.NOT_SUPPORTED_FORMATTER]: "Not supported 'formatter'.",
  [ie.NOT_SUPPORTED_PRESERVE_DIRECTIVE]: "Not supported 'preserveDirectiveContent'.",
  [ie.NOT_SUPPORTED_GET_CHOICE_INDEX]: "Not supported 'getChoiceIndex'.",
  [ie.COMPONENT_NAME_LEGACY_COMPATIBLE]: "Component name legacy compatible: '{name}' -> 'i18n'",
  [ie.NOT_FOUND_PARENT_SCOPE]: "Not found parent scope. use the global scope.",
  [ie.IGNORE_OBJ_FLATTEN]: "Ignore object flatten: '{key}' key has an string value",
  [ie.NOTICE_DROP_ALLOW_COMPOSITION]: "'allowComposition' option will be dropped in the next major version. For more information, please see 👉 https://tinyurl.com/2p97mcze"
};
function Bt(e, ...t) {
  return wt(ss[e], ...t);
}
const Qn = x.__EXTEND_POINT__, re = Ut(Qn), K = {
  // composer module errors
  UNEXPECTED_RETURN_TYPE: Qn,
  // legacy module errors
  INVALID_ARGUMENT: re(),
  // i18n module errors
  MUST_BE_CALL_SETUP_TOP: re(),
  NOT_INSTALLED: re(),
  NOT_AVAILABLE_IN_LEGACY_MODE: re(),
  // directive module errors
  REQUIRED_VALUE: re(),
  INVALID_VALUE: re(),
  // vue-devtools errors
  CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN: re(),
  NOT_INSTALLED_WITH_PROVIDE: re(),
  // unexpected error
  UNEXPECTED_ERROR: re(),
  // not compatible legacy vue-i18n constructor
  NOT_COMPATIBLE_LEGACY_VUE_I18N: re(),
  // bridge support vue 2.x only
  BRIDGE_SUPPORT_VUE_2_ONLY: re(),
  // need to define `i18n` option in `allowComposition: true` and `useScope: 'local' at `useI18n``
  MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION: re(),
  // Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly
  NOT_AVAILABLE_COMPOSITION_IN_LEGACY: re(),
  // for enhancement
  __EXTEND_POINT__: re()
  // 40
};
function ke(e, ...t) {
  return xe(e, null, process.env.NODE_ENV !== "production" ? { messages: ls, args: t } : void 0);
}
const ls = {
  [K.UNEXPECTED_RETURN_TYPE]: "Unexpected return type in composer",
  [K.INVALID_ARGUMENT]: "Invalid argument",
  [K.MUST_BE_CALL_SETUP_TOP]: "Must be called at the top of a `setup` function",
  [K.NOT_INSTALLED]: "Need to install with `app.use` function",
  [K.UNEXPECTED_ERROR]: "Unexpected error",
  [K.NOT_AVAILABLE_IN_LEGACY_MODE]: "Not available in legacy mode",
  [K.REQUIRED_VALUE]: "Required in value: {0}",
  [K.INVALID_VALUE]: "Invalid value",
  [K.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN]: "Cannot setup vue-devtools plugin",
  [K.NOT_INSTALLED_WITH_PROVIDE]: "Need to install with `provide` function",
  [K.NOT_COMPATIBLE_LEGACY_VUE_I18N]: "Not compatible legacy VueI18n.",
  [K.BRIDGE_SUPPORT_VUE_2_ONLY]: "vue-i18n-bridge support Vue 2.x only",
  [K.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION]: "Must define ‘i18n’ option or custom block in Composition API with using local scope in Legacy API mode",
  [K.NOT_AVAILABLE_COMPOSITION_IN_LEGACY]: "Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly"
}, St = /* @__PURE__ */ Oe("__translateVNode"), Pt = /* @__PURE__ */ Oe("__datetimeParts"), Dt = /* @__PURE__ */ Oe("__numberParts"), Rt = /* @__PURE__ */ Oe("__enableEmitter"), Mt = /* @__PURE__ */ Oe("__disableEmitter"), os = Oe("__setPluralRules"), Zn = /* @__PURE__ */ Oe("__injectWithOption"), Ft = /* @__PURE__ */ Oe("__dispose");
function ut(e) {
  if (!H(e))
    return e;
  for (const t in e)
    if (pt(e, t))
      if (!t.includes("."))
        H(e[t]) && ut(e[t]);
      else {
        const n = t.split("."), a = n.length - 1;
        let l = e, r = !1;
        for (let o = 0; o < a; o++) {
          if (n[o] in l || (l[n[o]] = {}), !H(l[n[o]])) {
            process.env.NODE_ENV !== "production" && Se(Bt(ie.IGNORE_OBJ_FLATTEN, {
              key: n[o]
            })), r = !0;
            break;
          }
          l = l[n[o]];
        }
        r || (l[n[a]] = e[t], delete e[t]), H(l[n[a]]) && ut(l[n[a]]);
      }
  return e;
}
function Gt(e, t) {
  const { messages: n, __i18n: a, messageResolver: l, flatJson: r } = t, o = $(n) ? n : Q(a) ? {} : { [e]: {} };
  if (Q(a) && a.forEach((i) => {
    if ("locale" in i && "resource" in i) {
      const { locale: c, resource: p } = i;
      c ? (o[c] = o[c] || {}, Et(p, o[c])) : Et(p, o);
    } else
      C(i) && Et(JSON.parse(i), o);
  }), l == null && r)
    for (const i in o)
      pt(o, i) && ut(o[i]);
  return o;
}
function xn(e) {
  return e.type;
}
function is(e, t, n) {
  let a = H(t.messages) ? t.messages : {};
  "__i18nGlobal" in n && (a = Gt(e.locale.value, {
    messages: a,
    __i18n: n.__i18nGlobal
  }));
  const l = Object.keys(a);
  l.length && l.forEach((r) => {
    e.mergeLocaleMessage(r, a[r]);
  });
  {
    if (H(t.datetimeFormats)) {
      const r = Object.keys(t.datetimeFormats);
      r.length && r.forEach((o) => {
        e.mergeDateTimeFormat(o, t.datetimeFormats[o]);
      });
    }
    if (H(t.numberFormats)) {
      const r = Object.keys(t.numberFormats);
      r.length && r.forEach((o) => {
        e.mergeNumberFormat(o, t.numberFormats[o]);
      });
    }
  }
}
function bn(e) {
  return ma(_a, null, e, 0);
}
const In = "__INTLIFY_META__", Tn = () => [], us = () => !1;
let Ln = 0;
function On(e) {
  return (t, n, a, l) => e(n, a, $t() || void 0, l);
}
const cs = /* @__NO_SIDE_EFFECTS__ */ () => {
  const e = $t();
  let t = null;
  return e && (t = xn(e)[In]) ? { [In]: t } : null;
};
function fs(e = {}, t) {
  const { __root: n, __injectWithOption: a } = e, l = n === void 0, r = e.flatJson, o = Le ? ce : An;
  let i = G(e.inheritLocale) ? e.inheritLocale : !0;
  const c = o(
    // prettier-ignore
    n && i ? n.locale.value : C(e.locale) ? e.locale : it
  ), p = o(
    // prettier-ignore
    n && i ? n.fallbackLocale.value : C(e.fallbackLocale) || Q(e.fallbackLocale) || $(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : c.value
  ), v = o(Gt(c.value, e)), I = o($(e.datetimeFormats) ? e.datetimeFormats : { [c.value]: {} }), g = o($(e.numberFormats) ? e.numberFormats : { [c.value]: {} });
  let A = n ? n.missingWarn : G(e.missingWarn) || Qe(e.missingWarn) ? e.missingWarn : !0, D = n ? n.fallbackWarn : G(e.fallbackWarn) || Qe(e.fallbackWarn) ? e.fallbackWarn : !0, S = n ? n.fallbackRoot : G(e.fallbackRoot) ? e.fallbackRoot : !0, k = !!e.fallbackFormat, f = Y(e.missing) ? e.missing : null, _ = Y(e.missing) ? On(e.missing) : null, h = Y(e.postTranslation) ? e.postTranslation : null, E = n ? n.warnHtmlMessage : G(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, O = !!e.escapeParameter;
  const T = n ? n.modifiers : $(e.modifiers) ? e.modifiers : {};
  let y = e.pluralRules || n && n.pluralRules, b;
  b = (() => {
    l && fn(null);
    const m = {
      version: as,
      locale: c.value,
      fallbackLocale: p.value,
      messages: v.value,
      modifiers: T,
      pluralRules: y,
      missing: _ === null ? void 0 : _,
      missingWarn: A,
      fallbackWarn: D,
      fallbackFormat: k,
      unresolving: !0,
      postTranslation: h === null ? void 0 : h,
      warnHtmlMessage: E,
      escapeParameter: O,
      messageResolver: e.messageResolver,
      messageCompiler: e.messageCompiler,
      __meta: { framework: "vue" }
    };
    m.datetimeFormats = I.value, m.numberFormats = g.value, m.__datetimeFormatters = $(b) ? b.__datetimeFormatters : void 0, m.__numberFormatters = $(b) ? b.__numberFormatters : void 0, process.env.NODE_ENV !== "production" && (m.__v_emitter = $(b) ? b.__v_emitter : void 0);
    const N = jr(m);
    return l && fn(N), N;
  })(), lt(b, c.value, p.value);
  function X() {
    return [
      c.value,
      p.value,
      v.value,
      I.value,
      g.value
    ];
  }
  const de = Ne({
    get: () => c.value,
    set: (m) => {
      c.value = m, b.locale = c.value;
    }
  }), Z = Ne({
    get: () => p.value,
    set: (m) => {
      p.value = m, b.fallbackLocale = p.value, lt(b, c.value, m);
    }
  }), oe = Ne(() => v.value), We = /* @__PURE__ */ Ne(() => I.value), ze = /* @__PURE__ */ Ne(() => g.value);
  function pe() {
    return Y(h) ? h : null;
  }
  function Be(m) {
    h = m, b.postTranslation = m;
  }
  function et() {
    return f;
  }
  function Ge(m) {
    m !== null && (_ = On(m)), f = m, b.missing = _;
  }
  function tt(m, N) {
    return m !== "translate" || !N.resolvedMessage;
  }
  const me = (m, N, V, j, Fe, mt) => {
    X();
    let Xe;
    try {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, l || (b.fallbackContext = n ? Xr() : void 0), Xe = m(b);
    } finally {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, l || (b.fallbackContext = void 0);
    }
    if (V !== "translate exists" && // for not `te` (e.g `t`)
    z(Xe) && Xe === Nt || V === "translate exists" && !Xe) {
      const [$e, sa] = N();
      if (process.env.NODE_ENV !== "production" && n && C($e) && tt(V, sa) && (S && (ht(D, $e) || Hn(A, $e)) && Se(Bt(ie.FALLBACK_TO_ROOT, {
        key: $e,
        type: V
      })), process.env.NODE_ENV !== "production")) {
        const { __v_emitter: Kt } = b;
        Kt && S && Kt.emit("fallback", {
          type: V,
          key: $e,
          to: "global",
          groupId: `${V}:${$e}`
        });
      }
      return n && S ? j(n) : Fe($e);
    } else {
      if (mt(Xe))
        return Xe;
      throw ke(K.UNEXPECTED_RETURN_TYPE);
    }
  };
  function Ye(...m) {
    return me((N) => Reflect.apply(En, null, [N, ...m]), () => yt(...m), "translate", (N) => Reflect.apply(N.t, N, [...m]), (N) => N, (N) => C(N));
  }
  function nt(...m) {
    const [N, V, j] = m;
    if (j && !H(j))
      throw ke(K.INVALID_ARGUMENT);
    return Ye(N, V, ee({ resolvedMessage: !0 }, j || {}));
  }
  function Ke(...m) {
    return me((N) => Reflect.apply(gn, null, [N, ...m]), () => At(...m), "datetime format", (N) => Reflect.apply(N.d, N, [...m]), () => gt, (N) => C(N));
  }
  function at(...m) {
    return me((N) => Reflect.apply(Nn, null, [N, ...m]), () => kt(...m), "number format", (N) => Reflect.apply(N.n, N, [...m]), () => gt, (N) => C(N));
  }
  function rt(m) {
    return m.map((N) => C(N) || z(N) || G(N) ? bn(String(N)) : N);
  }
  const De = {
    normalize: rt,
    interpolate: (m) => m,
    type: "vnode"
  };
  function Re(...m) {
    return me(
      (N) => {
        let V;
        const j = N;
        try {
          j.processor = De, V = Reflect.apply(En, null, [j, ...m]);
        } finally {
          j.processor = null;
        }
        return V;
      },
      () => yt(...m),
      "translate",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (N) => N[St](...m),
      (N) => [bn(N)],
      (N) => Q(N)
    );
  }
  function Ce(...m) {
    return me(
      (N) => Reflect.apply(Nn, null, [N, ...m]),
      () => kt(...m),
      "number format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (N) => N[Dt](...m),
      Tn,
      (N) => C(N) || Q(N)
    );
  }
  function Me(...m) {
    return me(
      (N) => Reflect.apply(gn, null, [N, ...m]),
      () => At(...m),
      "datetime format",
      // eslint-disable-next-line @typescript-eslint/no-explicit-any
      (N) => N[Pt](...m),
      Tn,
      (N) => C(N) || Q(N)
    );
  }
  function st(m) {
    y = m, b.pluralRules = y;
  }
  function u(m, N) {
    return me(() => {
      if (!m)
        return !1;
      const V = C(N) ? N : c.value, j = L(V), Fe = b.messageResolver(j, m);
      return He(Fe) || ue(Fe) || C(Fe);
    }, () => [m], "translate exists", (V) => Reflect.apply(V.te, V, [m, N]), us, (V) => G(V));
  }
  function s(m) {
    let N = null;
    const V = Mn(b, p.value, c.value);
    for (let j = 0; j < V.length; j++) {
      const Fe = v.value[V[j]] || {}, mt = b.messageResolver(Fe, m);
      if (mt != null) {
        N = mt;
        break;
      }
    }
    return N;
  }
  function d(m) {
    const N = s(m);
    return N ?? (n ? n.tm(m) || {} : {});
  }
  function L(m) {
    return v.value[m] || {};
  }
  function F(m, N) {
    if (r) {
      const V = { [m]: N };
      for (const j in V)
        pt(V, j) && ut(V[j]);
      N = V[m];
    }
    v.value[m] = N, b.messages = v.value;
  }
  function U(m, N) {
    v.value[m] = v.value[m] || {};
    const V = { [m]: N };
    for (const j in V)
      pt(V, j) && ut(V[j]);
    N = V[m], Et(N, v.value[m]), b.messages = v.value;
  }
  function ge(m) {
    return I.value[m] || {};
  }
  function be(m, N) {
    I.value[m] = N, b.datetimeFormats = I.value, vn(b, m, N);
  }
  function ta(m, N) {
    I.value[m] = ee(I.value[m] || {}, N), b.datetimeFormats = I.value, vn(b, m, N);
  }
  function na(m) {
    return g.value[m] || {};
  }
  function aa(m, N) {
    g.value[m] = N, b.numberFormats = g.value, hn(b, m, N);
  }
  function ra(m, N) {
    g.value[m] = ee(g.value[m] || {}, N), b.numberFormats = g.value, hn(b, m, N);
  }
  Ln++, n && Le && (Xt(n.locale, (m) => {
    i && (c.value = m, b.locale = m, lt(b, c.value, p.value));
  }), Xt(n.fallbackLocale, (m) => {
    i && (p.value = m, b.fallbackLocale = m, lt(b, c.value, p.value));
  }));
  const q = {
    id: Ln,
    locale: de,
    fallbackLocale: Z,
    get inheritLocale() {
      return i;
    },
    set inheritLocale(m) {
      i = m, m && n && (c.value = n.locale.value, p.value = n.fallbackLocale.value, lt(b, c.value, p.value));
    },
    get availableLocales() {
      return Object.keys(v.value).sort();
    },
    messages: oe,
    get modifiers() {
      return T;
    },
    get pluralRules() {
      return y || {};
    },
    get isGlobal() {
      return l;
    },
    get missingWarn() {
      return A;
    },
    set missingWarn(m) {
      A = m, b.missingWarn = A;
    },
    get fallbackWarn() {
      return D;
    },
    set fallbackWarn(m) {
      D = m, b.fallbackWarn = D;
    },
    get fallbackRoot() {
      return S;
    },
    set fallbackRoot(m) {
      S = m;
    },
    get fallbackFormat() {
      return k;
    },
    set fallbackFormat(m) {
      k = m, b.fallbackFormat = k;
    },
    get warnHtmlMessage() {
      return E;
    },
    set warnHtmlMessage(m) {
      E = m, b.warnHtmlMessage = m;
    },
    get escapeParameter() {
      return O;
    },
    set escapeParameter(m) {
      O = m, b.escapeParameter = m;
    },
    t: Ye,
    getLocaleMessage: L,
    setLocaleMessage: F,
    mergeLocaleMessage: U,
    getPostTranslationHandler: pe,
    setPostTranslationHandler: Be,
    getMissingHandler: et,
    setMissingHandler: Ge,
    [os]: st
  };
  return q.datetimeFormats = We, q.numberFormats = ze, q.rt = nt, q.te = u, q.tm = d, q.d = Ke, q.n = at, q.getDateTimeFormat = ge, q.setDateTimeFormat = be, q.mergeDateTimeFormat = ta, q.getNumberFormat = na, q.setNumberFormat = aa, q.mergeNumberFormat = ra, q[Zn] = a, q[St] = Re, q[Pt] = Me, q[Dt] = Ce, process.env.NODE_ENV !== "production" && (q[Rt] = (m) => {
    b.__v_emitter = m;
  }, q[Mt] = () => {
    b.__v_emitter = void 0;
  }), q;
}
const Yt = {
  tag: {
    type: [String, Object]
  },
  locale: {
    type: String
  },
  scope: {
    type: String,
    // NOTE: avoid https://github.com/microsoft/rushstack/issues/1050
    validator: (e) => e === "parent" || e === "global",
    default: "parent"
    /* ComponentI18nScope */
  },
  i18n: {
    type: Object
  }
};
function ds({ slots: e }, t) {
  return t.length === 1 && t[0] === "default" ? (e.default ? e.default() : []).reduce((a, l) => [
    ...a,
    // prettier-ignore
    ...l.type === Ee ? l.children : [l]
  ], []) : t.reduce((n, a) => {
    const l = e[a];
    return l && (n[a] = l()), n;
  }, {});
}
function zn(e) {
  return Ee;
}
ee({
  keypath: {
    type: String,
    required: !0
  },
  plural: {
    type: [Number, String],
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    validator: (e) => z(e) || !isNaN(e)
  }
}, Yt);
function ms(e) {
  return Q(e) && !C(e[0]);
}
function ea(e, t, n, a) {
  const { slots: l, attrs: r } = t;
  return () => {
    const o = { part: !0 };
    let i = {};
    e.locale && (o.locale = e.locale), C(e.format) ? o.key = e.format : H(e.format) && (C(e.format.key) && (o.key = e.format.key), i = Object.keys(e.format).reduce((g, A) => n.includes(A) ? ee({}, g, { [A]: e.format[A] }) : g, {}));
    const c = a(e.value, o, i);
    let p = [o.key];
    Q(c) ? p = c.map((g, A) => {
      const D = l[g.type], S = D ? D({ [g.type]: g.value, index: A, parts: c }) : [g.value];
      return ms(S) && (S[0].key = `${g.type}-${A}`), S;
    }) : C(c) && (p = [c]);
    const v = ee({}, r), I = C(e.tag) || H(e.tag) ? e.tag : zn();
    return yn(I, v, p);
  };
}
ee({
  value: {
    type: Number,
    required: !0
  },
  format: {
    type: [String, Object]
  }
}, Yt);
ee({
  value: {
    type: [Number, Date],
    required: !0
  },
  format: {
    type: [String, Object]
  }
}, Yt);
function Cn(e, t) {
}
const _s = /* @__PURE__ */ Oe("global-vue-i18n");
function bt(e = {}) {
  const t = $t();
  if (t == null)
    throw ke(K.MUST_BE_CALL_SETUP_TOP);
  if (!t.isCE && t.appContext.app != null && !t.appContext.app.__VUE_I18N_SYMBOL__)
    throw ke(K.NOT_INSTALLED);
  const n = Es(t), a = gs(n), l = xn(t), r = ps(e, l);
  if (__VUE_I18N_LEGACY_API__ && n.mode === "legacy" && !e.__useComponent) {
    if (!n.allowComposition)
      throw ke(K.NOT_AVAILABLE_IN_LEGACY_MODE);
    return bs(t, r, a, e);
  }
  if (r === "global")
    return is(a, e, l), a;
  if (r === "parent") {
    let c = vs(n, t, e.__useComponent);
    return c == null && (process.env.NODE_ENV !== "production" && Se(Bt(ie.NOT_FOUND_PARENT_SCOPE)), c = a), c;
  }
  const o = n;
  let i = o.__getInstance(t);
  if (i == null) {
    const c = ee({}, e);
    "__i18n" in l && (c.__i18n = l.__i18n), a && (c.__root = a), i = fs(c), o.__composerExtend && (i[Ft] = o.__composerExtend(i)), hs(o, t, i), o.__setInstance(t, i);
  }
  return i;
}
function Es(e) {
  {
    const t = ua(e.isCE ? _s : e.appContext.app.__VUE_I18N_SYMBOL__);
    if (!t)
      throw ke(e.isCE ? K.NOT_INSTALLED_WITH_PROVIDE : K.UNEXPECTED_ERROR);
    return t;
  }
}
function ps(e, t) {
  return vt(e) ? "__i18n" in t ? "local" : "global" : e.useScope ? e.useScope : "local";
}
function gs(e) {
  return e.mode === "composition" ? e.global : e.global.__composer;
}
function vs(e, t, n = !1) {
  let a = null;
  const l = t.root;
  let r = Ns(t, n);
  for (; r != null; ) {
    const o = e;
    if (e.mode === "composition")
      a = o.__getInstance(r);
    else if (__VUE_I18N_LEGACY_API__) {
      const i = o.__getInstance(r);
      i != null && (a = i.__composer, n && a && !a[Zn] && (a = null));
    }
    if (a != null || l === r)
      break;
    r = r.parent;
  }
  return a;
}
function Ns(e, t = !1) {
  return e == null ? null : t && e.vnode.ctx || e.parent;
}
function hs(e, t, n) {
  let a = null;
  ca(() => {
    if (process.env.NODE_ENV !== "production" && t.vnode.el) {
      t.vnode.el.__VUE_I18N__ = n, a = $a();
      const l = n;
      l[Rt] && l[Rt](a), a.on("*", Cn);
    }
  }, t), fa(() => {
    const l = n;
    process.env.NODE_ENV !== "production" && t.vnode.el && t.vnode.el.__VUE_I18N__ && (a && a.off("*", Cn), l[Mt] && l[Mt](), delete t.vnode.el.__VUE_I18N__), e.__deleteInstance(t);
    const r = l[Ft];
    r && (r(), delete l[Ft]);
  }, t);
}
function bs(e, t, n, a = {}) {
  const l = t === "local", r = An(null);
  if (l && e.proxy && !(e.proxy.$options.i18n || e.proxy.$options.__i18n))
    throw ke(K.MUST_DEFINE_I18N_OPTION_IN_ALLOW_COMPOSITION);
  const o = G(a.inheritLocale) ? a.inheritLocale : !C(a.locale), i = ce(
    // prettier-ignore
    !l || o ? n.locale.value : C(a.locale) ? a.locale : it
  ), c = ce(
    // prettier-ignore
    !l || o ? n.fallbackLocale.value : C(a.fallbackLocale) || Q(a.fallbackLocale) || $(a.fallbackLocale) || a.fallbackLocale === !1 ? a.fallbackLocale : i.value
  ), p = ce(Gt(i.value, a)), v = ce($(a.datetimeFormats) ? a.datetimeFormats : { [i.value]: {} }), I = ce($(a.numberFormats) ? a.numberFormats : { [i.value]: {} }), g = l ? n.missingWarn : G(a.missingWarn) || Qe(a.missingWarn) ? a.missingWarn : !0, A = l ? n.fallbackWarn : G(a.fallbackWarn) || Qe(a.fallbackWarn) ? a.fallbackWarn : !0, D = l ? n.fallbackRoot : G(a.fallbackRoot) ? a.fallbackRoot : !0, S = !!a.fallbackFormat, k = Y(a.missing) ? a.missing : null, f = Y(a.postTranslation) ? a.postTranslation : null, _ = l ? n.warnHtmlMessage : G(a.warnHtmlMessage) ? a.warnHtmlMessage : !0, h = !!a.escapeParameter, E = l ? n.modifiers : $(a.modifiers) ? a.modifiers : {}, O = a.pluralRules || l && n.pluralRules;
  function T() {
    return [
      i.value,
      c.value,
      p.value,
      v.value,
      I.value
    ];
  }
  const y = Ne({
    get: () => r.value ? r.value.locale.value : i.value,
    set: (s) => {
      r.value && (r.value.locale.value = s), i.value = s;
    }
  }), b = Ne({
    get: () => r.value ? r.value.fallbackLocale.value : c.value,
    set: (s) => {
      r.value && (r.value.fallbackLocale.value = s), c.value = s;
    }
  }), W = Ne(() => r.value ? r.value.messages.value : p.value), X = Ne(() => v.value), de = Ne(() => I.value);
  function Z() {
    return r.value ? r.value.getPostTranslationHandler() : f;
  }
  function oe(s) {
    r.value && r.value.setPostTranslationHandler(s);
  }
  function We() {
    return r.value ? r.value.getMissingHandler() : k;
  }
  function ze(s) {
    r.value && r.value.setMissingHandler(s);
  }
  function pe(s) {
    return T(), s();
  }
  function Be(...s) {
    return r.value ? pe(() => Reflect.apply(r.value.t, null, [...s])) : pe(() => "");
  }
  function et(...s) {
    return r.value ? Reflect.apply(r.value.rt, null, [...s]) : "";
  }
  function Ge(...s) {
    return r.value ? pe(() => Reflect.apply(r.value.d, null, [...s])) : pe(() => "");
  }
  function tt(...s) {
    return r.value ? pe(() => Reflect.apply(r.value.n, null, [...s])) : pe(() => "");
  }
  function me(s) {
    return r.value ? r.value.tm(s) : {};
  }
  function Ye(s, d) {
    return r.value ? r.value.te(s, d) : !1;
  }
  function nt(s) {
    return r.value ? r.value.getLocaleMessage(s) : {};
  }
  function Ke(s, d) {
    r.value && (r.value.setLocaleMessage(s, d), p.value[s] = d);
  }
  function at(s, d) {
    r.value && r.value.mergeLocaleMessage(s, d);
  }
  function rt(s) {
    return r.value ? r.value.getDateTimeFormat(s) : {};
  }
  function dt(s, d) {
    r.value && (r.value.setDateTimeFormat(s, d), v.value[s] = d);
  }
  function De(s, d) {
    r.value && r.value.mergeDateTimeFormat(s, d);
  }
  function Re(s) {
    return r.value ? r.value.getNumberFormat(s) : {};
  }
  function Ce(s, d) {
    r.value && (r.value.setNumberFormat(s, d), I.value[s] = d);
  }
  function Me(s, d) {
    r.value && r.value.mergeNumberFormat(s, d);
  }
  const st = {
    get id() {
      return r.value ? r.value.id : -1;
    },
    locale: y,
    fallbackLocale: b,
    messages: W,
    datetimeFormats: X,
    numberFormats: de,
    get inheritLocale() {
      return r.value ? r.value.inheritLocale : o;
    },
    set inheritLocale(s) {
      r.value && (r.value.inheritLocale = s);
    },
    get availableLocales() {
      return r.value ? r.value.availableLocales : Object.keys(p.value);
    },
    get modifiers() {
      return r.value ? r.value.modifiers : E;
    },
    get pluralRules() {
      return r.value ? r.value.pluralRules : O;
    },
    get isGlobal() {
      return r.value ? r.value.isGlobal : !1;
    },
    get missingWarn() {
      return r.value ? r.value.missingWarn : g;
    },
    set missingWarn(s) {
      r.value && (r.value.missingWarn = s);
    },
    get fallbackWarn() {
      return r.value ? r.value.fallbackWarn : A;
    },
    set fallbackWarn(s) {
      r.value && (r.value.missingWarn = s);
    },
    get fallbackRoot() {
      return r.value ? r.value.fallbackRoot : D;
    },
    set fallbackRoot(s) {
      r.value && (r.value.fallbackRoot = s);
    },
    get fallbackFormat() {
      return r.value ? r.value.fallbackFormat : S;
    },
    set fallbackFormat(s) {
      r.value && (r.value.fallbackFormat = s);
    },
    get warnHtmlMessage() {
      return r.value ? r.value.warnHtmlMessage : _;
    },
    set warnHtmlMessage(s) {
      r.value && (r.value.warnHtmlMessage = s);
    },
    get escapeParameter() {
      return r.value ? r.value.escapeParameter : h;
    },
    set escapeParameter(s) {
      r.value && (r.value.escapeParameter = s);
    },
    t: Be,
    getPostTranslationHandler: Z,
    setPostTranslationHandler: oe,
    getMissingHandler: We,
    setMissingHandler: ze,
    rt: et,
    d: Ge,
    n: tt,
    tm: me,
    te: Ye,
    getLocaleMessage: nt,
    setLocaleMessage: Ke,
    mergeLocaleMessage: at,
    getDateTimeFormat: rt,
    setDateTimeFormat: dt,
    mergeDateTimeFormat: De,
    getNumberFormat: Re,
    setNumberFormat: Ce,
    mergeNumberFormat: Me
  };
  function u(s) {
    s.locale.value = i.value, s.fallbackLocale.value = c.value, Object.keys(p.value).forEach((d) => {
      s.mergeLocaleMessage(d, p.value[d]);
    }), Object.keys(v.value).forEach((d) => {
      s.mergeDateTimeFormat(d, v.value[d]);
    }), Object.keys(I.value).forEach((d) => {
      s.mergeNumberFormat(d, I.value[d]);
    }), s.escapeParameter = h, s.fallbackFormat = S, s.fallbackRoot = D, s.fallbackWarn = A, s.missingWarn = g, s.warnHtmlMessage = _;
  }
  return da(() => {
    if (e.proxy == null || e.proxy.$i18n == null)
      throw ke(K.NOT_AVAILABLE_COMPOSITION_IN_LEGACY);
    const s = r.value = e.proxy.$i18n.__composer;
    t === "global" ? (i.value = s.locale.value, c.value = s.fallbackLocale.value, p.value = s.messages.value, v.value = s.datetimeFormats.value, I.value = s.numberFormats.value) : l && u(s);
  }), st;
}
rs();
__INTLIFY_JIT_COMPILATION__ ? cn(Zr) : cn(Qr);
Br(Ir);
Gr(Mn);
if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
  const e = Te();
  e.__INTLIFY__ = !0, Pr(e.__INTLIFY_DEVTOOLS_GLOBAL_HOOK__);
}
process.env.NODE_ENV;
function ft(e) {
  const { t } = bt(), n = ce(null);
  function a(i) {
    const c = e.value;
    c !== null && (i !== null ? c.setCustomValidity(i) : c.setCustomValidity(""), n.value = l(c));
  }
  function l(i) {
    if (i.validity.valueMissing)
      return t("validator.error.value_missing");
    if (i.validity.tooShort)
      return t("validator.error.too_short", [i.minLength]);
    if (i.validity.tooLong)
      return t("validator.error.too_long", [i.maxLength]);
    if (i.validity.rangeUnderflow)
      return t("validator.error.range_underflow", [i.min]);
    if (i.validity.rangeOverflow)
      return t("validator.error.range_overflow", [i.max]);
    if (i.validity.typeMismatch) {
      if (i.type === "email")
        return t("validator.error.type_mismatch.email");
      if (i.type === "url")
        return t("validator.error.type_mismatch.url");
    }
    if (i.validity.badInput) {
      if (i.type === "number")
        return t("validator.error.bad_input.number");
      if (i.type === "date")
        return t("validator.error.bad_input.date");
    }
    if (i.validity.patternMismatch)
      return t("validator.error.pattern_mismatch");
    if (i.validity.stepMismatch) {
      const c = Math.floor(Number(i.value) / Number(i.step)) * Number(i.step), p = Math.ceil(Number(i.value) / Number(i.step)) * Number(i.step);
      return t("validator.error.step_mismatch", [c, p]);
    }
    return i.validity.customError ? i.validationMessage : null;
  }
  function r(i) {
    i.target !== null && (n.value = l(i.target));
  }
  function o() {
    return n.value;
  }
  return {
    onInvalid: r,
    getInvalidMessage: o,
    setCustomError: a
  };
}
const Is = ae({
  name: "BsInput",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = ce(null);
    return {
      inputRef: e,
      validator: ft(e)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(e) {
      const t = e.target;
      this.$emit("update:modelValue", t.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
}), Ts = ["for", "textContent"], Ls = ["id", "value", "aria-describedby"], Os = ["textContent"], Cs = ["id", "textContent"];
function ys(e, t, n, a, l, r) {
  return R(), M(Ee, null, [
    e.label !== void 0 ? (R(), M("label", {
      key: 0,
      for: e.id,
      class: "form-label",
      textContent: B(e.label)
    }, null, 8, Ts)) : J("", !0),
    w("input", ct({
      id: e.id,
      ref: "inputRef",
      value: e.modelValue,
      class: "form-control"
    }, e.$attrs, {
      "aria-describedby": e.hint !== void 0 ? e.getHintId() : null,
      onInput: t[0] || (t[0] = (...o) => e.onInput && e.onInput(...o)),
      onInvalid: t[1] || (t[1] = (...o) => e.onInvalid && e.onInvalid(...o))
    }), null, 16, Ls),
    e.validatorEnabled && e.validator.getInvalidMessage() !== null ? (R(), M("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: B(e.validator.getInvalidMessage())
    }, null, 8, Os)) : J("", !0),
    e.hint !== void 0 ? (R(), M("div", {
      key: 2,
      id: e.getHintId(),
      class: "form-text",
      textContent: B(e.hint)
    }, null, 8, Cs)) : J("", !0)
  ], 64);
}
const Bl = /* @__PURE__ */ fe(Is, [["render", ys]]), As = ae({
  name: "BsCheckbox",
  props: {
    /**
     * Value for checkbox if v-model is array.
     */
    value: {
      type: String,
      default: null
    },
    /**
     * Value for v-model
     */
    modelValue: {
      type: [Array, Boolean],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Input container div class.
     */
    classContainer: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = ce(null);
    return {
      inputRef: e,
      validator: ft(e)
    };
  },
  computed: {
    /**
     * Checkbox is checked or not.
     */
    isChecked() {
      return this.modelValue instanceof Array ? this.modelValue.includes(this.value) : this.modelValue === !0;
    }
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(e) {
      const n = e.target.checked;
      if (this.modelValue instanceof Array) {
        const a = [...this.modelValue];
        n ? a.push(this.value) : a.splice(a.indexOf(this.value), 1), this.$emit("update:modelValue", a);
      } else
        this.$emit("update:modelValue", n);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
}), ks = ["id", "value", "checked", "aria-describedby"], Ss = ["for", "textContent"], Ps = ["textContent"], Ds = ["id", "textContent"];
function Rs(e, t, n, a, l, r) {
  return R(), M("div", {
    class: se(["form-check", e.classContainer])
  }, [
    w("input", ct({
      id: e.id,
      ref: "inputRef",
      value: e.modelValue
    }, e.$attrs, {
      type: "checkbox",
      class: "form-check-input",
      checked: e.isChecked,
      "aria-describedby": e.hint !== void 0 ? e.getHintId() : null,
      onInput: t[0] || (t[0] = (...o) => e.onInput && e.onInput(...o)),
      onInvalid: t[1] || (t[1] = (...o) => e.onInvalid && e.onInvalid(...o))
    }), null, 16, ks),
    e.label !== void 0 ? (R(), M("label", {
      key: 0,
      for: e.id,
      class: "form-check-label",
      textContent: B(e.label)
    }, null, 8, Ss)) : J("", !0),
    e.validatorEnabled && e.validator.getInvalidMessage() !== null ? (R(), M("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: B(e.validator.getInvalidMessage())
    }, null, 8, Ps)) : J("", !0),
    e.hint !== void 0 ? (R(), M("div", {
      key: 2,
      id: e.getHintId(),
      class: "form-text",
      textContent: B(e.hint)
    }, null, 8, Ds)) : J("", !0)
  ], 2);
}
const Gl = /* @__PURE__ */ fe(As, [["render", Rs]]), Ms = ae({
  name: "BsTextarea",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for textarea
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = ce(null);
    return {
      inputRef: e,
      validator: ft(e)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(e) {
      const t = e.target;
      this.$emit("update:modelValue", t.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
}), Fs = ["for", "textContent"], $s = ["id", "value", "aria-describedby"], ws = ["textContent"], Us = ["id", "textContent"];
function Vs(e, t, n, a, l, r) {
  return R(), M(Ee, null, [
    e.label !== void 0 ? (R(), M("label", {
      key: 0,
      for: e.id,
      class: "form-label",
      textContent: B(e.label)
    }, null, 8, Fs)) : J("", !0),
    w("textarea", ct({
      id: e.id,
      ref: "inputRef",
      value: e.modelValue
    }, e.$attrs, {
      class: "form-control",
      "aria-describedby": e.hint !== void 0 ? e.getHintId() : null,
      onInput: t[0] || (t[0] = (...o) => e.onInput && e.onInput(...o)),
      onInvalid: t[1] || (t[1] = (...o) => e.onInvalid && e.onInvalid(...o))
    }), null, 16, $s),
    e.validatorEnabled && e.validator.getInvalidMessage() !== null ? (R(), M("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: B(e.validator.getInvalidMessage())
    }, null, 8, ws)) : J("", !0),
    e.hint !== void 0 ? (R(), M("div", {
      key: 2,
      id: e.getHintId(),
      class: "form-text",
      textContent: B(e.hint)
    }, null, 8, Us)) : J("", !0)
  ], 64);
}
const Yl = /* @__PURE__ */ fe(Ms, [["render", Vs]]), Hs = ae({
  name: "BsPaginator",
  props: {
    /**
     * Total count of items.
     */
    totalCount: {
      type: Number,
      required: !0
    },
    /**
     * Page size
     */
    pageSize: {
      type: Number,
      required: !0
    },
    /**
     * Current page
     */
    currentPage: {
      type: Number,
      required: !0
    },
    /**
     * Max visible page
     */
    maxVisiblePage: {
      type: Number,
      default: 5
    },
    /**
     * First page label
     */
    firstPageLabel: {
      type: String,
      default: "«"
    },
    /**
     * Previous page label
     */
    previousPageLabel: {
      type: String,
      default: "‹"
    },
    /**
     * Next page label
     */
    nextPageLabel: {
      type: String,
      default: "›"
    },
    /**
     * Last page label
     */
    lastPageLabel: {
      type: String,
      default: "»"
    }
  },
  emits: ["pageChanged"],
  methods: {
    /**
     * Count of pages
     *
     * @returns {number}
     */
    getPageCount() {
      return Math.ceil(this.totalCount / this.pageSize);
    },
    /**
     * Visible page list
     *
     * @returns {*[]}
     */
    getVisiblePages() {
      const e = [], t = this.getPageRange();
      for (let n = t.beginPage; n <= t.endPage; n += 1)
        e.push(n + 1);
      return e;
    },
    /**
     * Is page active, or not
     *
     * @param page
     * @returns {boolean}
     */
    isPageActive(e) {
      return e === this.currentPage;
    },
    /**
     * On page click
     */
    onPageClick(e) {
      this.isPageActive(e) || this.$emit("pageChanged", e);
    },
    /**
     * Page range, example: 3 available page, current page 3, range is: [1, 3] (zero-based)
     *
     * @returns {{beginPage: number, endPage: number}}
     */
    getPageRange() {
      let e = Math.max(0, this.currentPage - this.maxVisiblePage / 2), t = e + this.maxVisiblePage - 1;
      return t >= this.getPageCount() && (t = this.getPageCount() - 1, e = Math.max(0, t - this.maxVisiblePage + 1)), {
        beginPage: Math.floor(e),
        endPage: Math.floor(t)
      };
    }
  }
}), Ws = { class: "pagination" }, Bs = ["textContent"], Gs = ["textContent"], Ys = ["onClick", "textContent"], Ks = ["textContent"], Xs = ["textContent"];
function js(e, t, n, a, l, r) {
  return R(), M("nav", null, [
    w("ul", Ws, [
      w("li", {
        class: se(["page-item page-item-first", { disabled: e.isPageActive(1) }])
      }, [
        w("div", {
          class: "page-link",
          onClick: t[0] || (t[0] = (o) => e.onPageClick(1)),
          textContent: B(e.firstPageLabel)
        }, null, 8, Bs)
      ], 2),
      w("li", {
        class: se(["page-item page-item-previous", { disabled: e.isPageActive(1) }])
      }, [
        w("div", {
          class: "page-link",
          onClick: t[1] || (t[1] = (o) => e.onPageClick(e.currentPage - 1)),
          textContent: B(e.previousPageLabel)
        }, null, 8, Gs)
      ], 2),
      (R(!0), M(Ee, null, Je(e.getVisiblePages(), (o, i) => (R(), M("li", {
        key: i,
        class: se(["page-item page-item-number", {
          active: e.isPageActive(o)
        }])
      }, [
        w("div", {
          class: "page-link",
          onClick: (c) => e.onPageClick(o),
          textContent: B(o)
        }, null, 8, Ys)
      ], 2))), 128)),
      w("li", {
        class: se(["page-item page-item-next", { disabled: e.isPageActive(e.getPageCount()) }])
      }, [
        w("div", {
          class: "page-link",
          onClick: t[2] || (t[2] = (o) => e.onPageClick(e.currentPage + 1)),
          textContent: B(e.nextPageLabel)
        }, null, 8, Ks)
      ], 2),
      w("li", {
        class: se(["page-item page-item-last", { disabled: e.isPageActive(e.getPageCount()) }])
      }, [
        w("div", {
          class: "page-link",
          onClick: t[3] || (t[3] = (o) => e.onPageClick(e.getPageCount())),
          textContent: B(e.lastPageLabel)
        }, null, 8, Xs)
      ], 2)
    ])
  ]);
}
const Kl = /* @__PURE__ */ fe(Hs, [["render", js], ["__scopeId", "data-v-ff85ae67"]]), qs = ae({
  name: "BsTable",
  props: {
    /**
     * Field list
     */
    fields: {
      type: Array,
      required: !0
    },
    /**
     * Item list
     */
    items: {
      type: Array,
      required: !0
    },
    /**
     * Items is loading
     */
    isLoading: {
      type: Boolean,
      default: !1
    },
    /**
     * Order by field name
     */
    orderBy: {
      type: String,
      default: void 0
    },
    /**
     * Sort is descending or ascending
     */
    sortDesc: {
      type: Boolean,
      default: void 0
    },
    /**
     * th element css lass
     */
    thClass: {
      type: String,
      default: void 0
    },
    /**
     * td element css class
     */
    tdClass: {
      type: String,
      default: void 0
    }
  },
  emits: ["orderChanged"],
  methods: {
    /**
     * Is order by active by field?
     *
     * @param field
     * @returns {boolean}
     */
    isActiveOrderBy(e) {
      return e === this.orderBy;
    },
    /**
     * Is field sortable?
     *
     * @param field
     * @returns {boolean}
     */
    isSortableField(e) {
      return e.sort === void 0 || e.sort;
    },
    /**
     * Sort icon class.
     *
     * @returns {string}
     */
    getSortIconClass() {
      if (this.sortDesc === void 0)
        throw new Error("Sort desc value is null, cannot calculate the sort icon!");
      return this.sortDesc ? "bi bi-caret-up-fill" : "bi bi-caret-down-fill";
    },
    /**
     * Calcuate sort desc value on click
     * Returns null if there is no sortDesc value.
     */
    calcSortDesc(e) {
      return this.sortDesc === void 0 ? null : this.isOrderByChanged(e) ? !1 : !this.sortDesc;
    },
    /**
     * Is order by changed?
     */
    isOrderByChanged(e) {
      return this.orderBy !== e;
    },
    /**
     * Table head clicked.
     */
    onHeadClick(e) {
      this.isSortableField(e) && this.$emit("orderChanged", { sortDesc: this.calcSortDesc(e.key), orderBy: e.key });
    }
  }
}), Js = (e) => (ga("data-v-e8d4b4dc"), e = e(), va(), e), Qs = { class: "table" }, Zs = ["onClick"], xs = { key: 0 }, zs = ["colspan"], el = /* @__PURE__ */ Js(() => /* @__PURE__ */ w("div", { class: "d-flex justify-content-center p-2" }, [
  /* @__PURE__ */ w("div", { class: "spinner-border spinner-border-sm" })
], -1)), tl = { key: 1 }, nl = ["colspan"], al = { class: "text-center text-muted small" };
function rl(e, t, n, a, l, r) {
  const o = Ea("t");
  return R(), M("table", Qs, [
    w("thead", null, [
      w("tr", null, [
        (R(!0), M(Ee, null, Je(e.fields, (i) => (R(), M("th", {
          key: i.key,
          class: se({
            "cursor-pointer": e.isSortableField(i),
            "text-decoration-underline": e.isActiveOrderBy(i.key),
            thClass: e.thClass
          }),
          onClick: (c) => e.onHeadClick(i)
        }, [
          _e(e.$slots, "tr", {}, () => [
            Lt(B(i.label) + " ", 1),
            e.isActiveOrderBy(i.key) && e.sortDesc !== void 0 ? (R(), M("i", {
              key: 0,
              class: se(e.getSortIconClass())
            }, null, 2)) : J("", !0)
          ], !0)
        ], 10, Zs))), 128))
      ])
    ]),
    w("tbody", null, [
      e.isLoading ? (R(), M("tr", xs, [
        w("td", {
          colspan: e.fields.length
        }, [
          _e(e.$slots, "loading", {}, () => [
            el
          ], !0)
        ], 8, zs)
      ])) : e.items.length === 0 ? (R(), M("tr", tl, [
        w("td", {
          colspan: e.fields.length
        }, [
          _e(e.$slots, "empty", {}, () => [
            pa(w("div", al, null, 512), [
              [o, "table.empty_text"]
            ])
          ], !0)
        ], 8, nl)
      ])) : (R(!0), M(Ee, { key: 2 }, Je(e.items, (i, c) => (R(), M("tr", {
        key: c,
        class: se(i.trClass)
      }, [
        (R(!0), M(Ee, null, Je(e.fields, (p) => (R(), M("td", {
          key: p.key,
          class: se(e.tdClass)
        }, [
          _e(e.$slots, "td", {
            key: c,
            field: p.key,
            row: i,
            value: p.key in i ? i[p.key] : null
          }, () => [
            Lt(B(i[p.key]), 1)
          ], !0)
        ], 2))), 128))
      ], 2))), 128))
    ])
  ]);
}
const Xl = /* @__PURE__ */ fe(qs, [["render", rl], ["__scopeId", "data-v-e8d4b4dc"]]), sl = ae({
  name: "BsToast",
  emits: ["shown", "hidden"],
  mounted() {
    const e = this.$refs.toastRef;
    jt.getOrCreateInstance(e).show(), e.addEventListener("shown.bs.toast", this.onShown), e.addEventListener("hidden.bs.toast", this.onHidden);
  },
  methods: {
    /**
     * Trigger toast hide event.
     */
    hide() {
      jt.getOrCreateInstance(this.$refs.toastRef).hide();
    },
    /**
     * Hidden event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
}), ll = {
  ref: "toastRef",
  class: "toast hide",
  role: "alert",
  "aria-live": "assertive",
  "aria-atomic": "true"
};
function ol(e, t, n, a, l, r) {
  return R(), M("div", ll, [
    _e(e.$slots, "default")
  ], 512);
}
const jl = /* @__PURE__ */ fe(sl, [["render", ol]]), il = ae({
  name: "BsModal",
  props: {
    /**
     * Modal title
     */
    title: {
      type: String,
      required: !0
    },
    classDialog: {
      type: [String, Object],
      default: null
    },
    hideHeader: {
      type: Boolean,
      default: !1
    },
    hideBody: {
      type: Boolean,
      default: !1
    },
    hideFooter: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["shown", "hidden"],
  mounted() {
    const e = this.$refs.modalRef;
    qt.getOrCreateInstance(e).show(), e.addEventListener("shown.bs.modal", this.onShown), e.addEventListener("hidden.bs.modal", this.onHidden);
  },
  methods: {
    /**
     * Trigger modal hide event.
     */
    hide() {
      qt.getOrCreateInstance(this.$refs.modalRef).hide();
    },
    /**
     * Shown event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
}), ul = {
  ref: "modalRef",
  class: "modal fade",
  tabindex: "-1",
  "aria-hidden": "true"
}, cl = { class: "modal-content" }, fl = {
  key: 0,
  class: "modal-header"
}, dl = ["textContent"], ml = /* @__PURE__ */ w("button", {
  type: "button",
  class: "btn-close",
  "data-bs-dismiss": "modal"
}, null, -1), _l = {
  key: 1,
  class: "modal-body"
}, El = {
  key: 2,
  class: "modal-footer"
};
function pl(e, t, n, a, l, r) {
  return R(), M("div", ul, [
    w("div", {
      class: se(["modal-dialog", e.classDialog])
    }, [
      w("div", cl, [
        e.hideHeader ? J("", !0) : (R(), M("div", fl, [
          _e(e.$slots, "header", {}, () => [
            w("div", {
              class: "h5 modal-title",
              textContent: B(e.title)
            }, null, 8, dl),
            ml
          ])
        ])),
        e.hideBody ? J("", !0) : (R(), M("div", _l, [
          _e(e.$slots, "body")
        ])),
        e.hideFooter ? J("", !0) : (R(), M("div", El, [
          _e(e.$slots, "footer")
        ]))
      ])
    ], 2)
  ], 512);
}
const ql = /* @__PURE__ */ fe(il, [["render", pl]]), gl = ae({
  name: "BsSelect",
  props: {
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number, Array],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Options
     */
    options: {
      type: Array,
      required: !0
    },
    /**
     * Placeholder
     */
    placeholder: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = ce(null);
    return {
      inputRef: e,
      validator: ft(e)
    };
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     *
     * @param event
     */
    onInput(e) {
      const t = e.target;
      this.$emit("update:modelValue", t.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
}), vl = ["for", "textContent"], Nl = ["id", "value", "aria-labelledby"], hl = {
  key: 0,
  value: "",
  disabled: "",
  hidden: ""
}, bl = ["value"], Il = ["textContent"], Tl = ["id", "textContent"];
function Ll(e, t, n, a, l, r) {
  return R(), M(Ee, null, [
    e.label !== void 0 ? (R(), M("label", {
      key: 0,
      for: e.id,
      class: "form-label",
      textContent: B(e.label)
    }, null, 8, vl)) : J("", !0),
    w("select", ct({
      id: e.id,
      ref: "inputRef",
      class: "form-select",
      value: e.modelValue,
      "aria-labelledby": e.hint !== void 0 ? e.getHintId() : null
    }, e.$attrs, {
      onInput: t[0] || (t[0] = (...o) => e.onInput && e.onInput(...o)),
      onInvalid: t[1] || (t[1] = (...o) => e.onInvalid && e.onInvalid(...o))
    }), [
      e.placeholder !== void 0 ? (R(), M("option", hl, B(e.placeholder), 1)) : J("", !0),
      (R(!0), M(Ee, null, Je(e.options, (o, i) => (R(), M("option", {
        key: i,
        value: o.value
      }, B(o.text), 9, bl))), 128))
    ], 16, Nl),
    e.validatorEnabled && e.validator.getInvalidMessage() !== null ? (R(), M("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: B(e.validator.getInvalidMessage())
    }, null, 8, Il)) : J("", !0),
    e.hint !== void 0 ? (R(), M("div", {
      key: 2,
      id: e.getHintId(),
      class: "form-text",
      textContent: B(e.hint)
    }, null, 8, Tl)) : J("", !0)
  ], 64);
}
const Jl = /* @__PURE__ */ fe(gl, [["render", Ll]]), Ol = ae({
  name: "BsRadio",
  props: {
    /**
     * Radio value
     */
    value: {
      type: [String, Number],
      default: null
    },
    /**
     * Value for v-model
     */
    modelValue: {
      type: [String, Number],
      default: null
    },
    /**
     * Html id
     */
    id: {
      type: String,
      required: !0
    },
    /**
     * Label for input
     */
    label: {
      type: String,
      default: void 0
    },
    /**
     * Attribute hint
     */
    hint: {
      type: String,
      default: void 0
    },
    /**
     * Input container div class.
     */
    classContainer: {
      type: String,
      default: void 0
    },
    /**
     * Enable or disable validator
     */
    validatorEnabled: {
      type: Boolean,
      default: !0
    }
  },
  emits: ["update:modelValue"],
  setup() {
    const e = ce(null);
    return {
      inputRef: e,
      validator: ft(e)
    };
  },
  computed: {
    /**
     * Radio is checked or not.
     */
    isChecked() {
      return this.modelValue === this.value;
    }
  },
  methods: {
    /**
     * Hint id is generated
     */
    getHintId() {
      return this.id + "Hint";
    },
    /**
     * On input event
     */
    onInput() {
      this.$emit("update:modelValue", this.value);
    },
    /**
     * On invalid event
     *
     * @param event
     */
    onInvalid(e) {
      this.validatorEnabled && this.validator.onInvalid(e);
    }
  }
}), Cl = ["id", "value", "checked", "aria-describedby"], yl = ["for", "textContent"], Al = ["textContent"], kl = ["id", "textContent"];
function Sl(e, t, n, a, l, r) {
  return R(), M("div", {
    class: se(["form-check", e.classContainer])
  }, [
    w("input", ct({
      id: e.id,
      ref: "inputRef",
      value: e.modelValue
    }, e.$attrs, {
      type: "radio",
      class: "form-check-input",
      checked: e.isChecked,
      "aria-describedby": e.hint !== void 0 ? e.getHintId() : null,
      onInput: t[0] || (t[0] = (...o) => e.onInput && e.onInput(...o)),
      onInvalid: t[1] || (t[1] = (...o) => e.onInvalid && e.onInvalid(...o))
    }), null, 16, Cl),
    e.label !== void 0 ? (R(), M("label", {
      key: 0,
      for: e.id,
      class: "form-check-label",
      textContent: B(e.label)
    }, null, 8, yl)) : J("", !0),
    e.validatorEnabled && e.validator.getInvalidMessage() !== null ? (R(), M("div", {
      key: 1,
      class: "invalid-feedback",
      textContent: B(e.validator.getInvalidMessage())
    }, null, 8, Al)) : J("", !0),
    e.hint !== void 0 ? (R(), M("div", {
      key: 2,
      id: e.getHintId(),
      class: "form-text",
      textContent: B(e.hint)
    }, null, 8, kl)) : J("", !0)
  ], 2);
}
const Ql = /* @__PURE__ */ fe(Ol, [["render", Sl]]), Pl = ae({
  name: "BsOffcanvas",
  props: {
    /**
     * Offcanvas title
     */
    title: {
      type: String,
      required: !0
    }
  },
  emits: ["shown", "hidden"],
  mounted() {
    const e = this.$refs.offcanvasRef;
    Jt.getOrCreateInstance(e).show(), e.addEventListener("shown.bs.offcanvas", this.onShown), e.addEventListener("hidden.bs.offcanvas", this.onHidden);
  },
  methods: {
    /**
     * Trigger offcanvas hide event.
     */
    hide() {
      Jt.getOrCreateInstance(this.$refs.offcanvasRef).hide();
    },
    /**
     * Shown event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
}), Dl = {
  ref: "offcanvasRef",
  class: "offcanvas",
  tabindex: "-1",
  "aria-labelledby": "offcanvasTitle"
}, Rl = { class: "offcanvas-header" }, Ml = ["textContent"], Fl = /* @__PURE__ */ w("button", {
  type: "button",
  class: "btn-close text-reset",
  "data-bs-dismiss": "offcanvas"
}, null, -1), $l = { class: "offcanvas-body" };
function wl(e, t, n, a, l, r) {
  return R(), M("div", Dl, [
    w("div", Rl, [
      _e(e.$slots, "header", {}, () => [
        w("div", {
          id: "offcanvasTitle",
          class: "h5 mb-0",
          textContent: B(e.title)
        }, null, 8, Ml),
        Fl
      ])
    ]),
    w("div", $l, [
      _e(e.$slots, "body")
    ])
  ], 512);
}
const Zl = /* @__PURE__ */ fe(Pl, [["render", wl]]);
export {
  Hl as BsBreadcrumb,
  Gl as BsCheckbox,
  Wl as BsForm,
  Bl as BsInput,
  ql as BsModal,
  Zl as BsOffcanvas,
  Kl as BsPaginator,
  Ql as BsRadio,
  Jl as BsSelect,
  Xl as BsTable,
  Yl as BsTextarea,
  jl as BsToast,
  ft as useValidator
};
